import{S as Xg,i as Wg,s as Bg,e as a,k as h,w,t as p,M as Hg,c as i,d as t,m as g,a as l,x as T,h as m,b as q,G as e,g as k,y as x,q as b,o as y,B as M,v as Qg,L as N}from"../../../chunks/vendor-hf-doc-builder.js";import{T as ue}from"../../../chunks/Tip-hf-doc-builder.js";import{D as R}from"../../../chunks/Docstring-hf-doc-builder.js";import{C as z}from"../../../chunks/CodeBlock-hf-doc-builder.js";import{I as H}from"../../../chunks/IconCopyLink-hf-doc-builder.js";import{E as C}from"../../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Gg(j){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var O=l(d);u=m(O,"Module"),O.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function Jg(j){let s,_,d,u,f;return u=new z({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForCausalLM
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/gpt2")
model = ORTModelForCausalLM.from_pretrained("optimum/gpt2")

inputs = tokenizer("My name is Arthur and I live in", return_tensors="pt")

gen_tokens = model.generate(**inputs,do_sample=True,temperature=0.9, min_length=20,max_length=20)
tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCausalLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCausalLM.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Arthur and I live in&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(**inputs,do_sample=<span class="hljs-literal">True</span>,temperature=<span class="hljs-number">0.9</span>, min_length=<span class="hljs-number">20</span>,max_length=<span class="hljs-number">20</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.batch_decode(gen_tokens)`}}),{c(){s=a("p"),_=p("Example of text generation:"),d=h(),w(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of text generation:"),r.forEach(t),d=g(n),T(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),x(u,n,r),f=!0},p:N,i(n){f||(b(u.$$.fragment,n),f=!0)},o(n){y(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),M(u,n)}}}function Kg(j){let s,_,d,u,f,n,r,O;return r=new z({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForCausalLM

tokenizer = AutoTokenizer.from_pretrained("optimum/gpt2")
model = ORTModelForCausalLM.from_pretrained("optimum/gpt2")
onnx_gen = pipeline("text-generation", model=model, tokenizer=tokenizer)

text = "My name is Arthur and I live in"
gen = onnx_gen(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCausalLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCausalLM.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_gen = pipeline(<span class="hljs-string">&quot;text-generation&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Arthur and I live in&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>gen = onnx_gen(text)`}}),{c(){s=a("p"),_=p("Example using "),d=a("code"),u=p("transformers.pipelines"),f=p(":"),n=h(),w(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipelines"),E.forEach(t),f=m(v,":"),v.forEach(t),n=g(c),T(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),x(r,c,v),O=!0},p:N,i(c){O||(b(r.$$.fragment,c),O=!0)},o(c){y(r.$$.fragment,c),O=!1},d(c){c&&t(s),c&&t(n),M(r,c)}}}function Yg(j){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var O=l(d);u=m(O,"Module"),O.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function Zg(j){let s,_,d,u,f,n,r,O;return r=new z({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForCustomTasks

tokenizer = AutoTokenizer.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")
model = ORTModelForCustomTasks.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")

inputs = tokenizer("I love burritos!", return_tensors="np")

outputs = model(**inputs)
last_hidden_state = outputs.last_hidden_state
pooler_output = outputs.pooler_output`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCustomTasks

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCustomTasks.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;I love burritos!&quot;</span>, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_state = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span>pooler_output = outputs.pooler_output`}}),{c(){s=a("p"),_=p("Example of custom tasks(e.g. a sentence transformers taking "),d=a("code"),u=p("pooler_output"),f=p(" as output):"),n=h(),w(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example of custom tasks(e.g. a sentence transformers taking "),d=i(v,"CODE",{});var E=l(d);u=m(E,"pooler_output"),E.forEach(t),f=m(v," as output):"),v.forEach(t),n=g(c),T(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),x(r,c,v),O=!0},p:N,i(c){O||(b(r.$$.fragment,c),O=!0)},o(c){y(r.$$.fragment,c),O=!1},d(c){c&&t(s),c&&t(n),M(r,c)}}}function ef(j){let s,_,d,u,f,n,r,O;return r=new z({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForCustomTasks

tokenizer = AutoTokenizer.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")
model = ORTModelForCustomTasks.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")
onnx_extractor = pipeline("feature-extraction", model=model, tokenizer=tokenizer)

text = "I love burritos!"
pred = onnx_extractor(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCustomTasks

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCustomTasks.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_extractor = pipeline(<span class="hljs-string">&quot;feature-extraction&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;I love burritos!&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_extractor(text)`}}),{c(){s=a("p"),_=p("Example using "),d=a("code"),u=p("transformers.pipelines"),f=p("(only if the task is supported):"),n=h(),w(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipelines"),E.forEach(t),f=m(v,"(only if the task is supported):"),v.forEach(t),n=g(c),T(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),x(r,c,v),O=!0},p:N,i(c){O||(b(r.$$.fragment,c),O=!0)},o(c){y(r.$$.fragment,c),O=!1},d(c){c&&t(s),c&&t(n),M(r,c)}}}function tf(j){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var O=l(d);u=m(O,"Module"),O.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function of(j){let s,_,d,u,f;return u=new z({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForFeatureExtraction
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/all-MiniLM-L6-v2")
model = ORTModelForFeatureExtraction.from_pretrained("optimum/all-MiniLM-L6-v2")

inputs = tokenizer("My name is Philipp and I live in Germany.", return_tensors="np")

outputs = model(**inputs)
last_hidden_state = outputs.last_hidden_state
list(last_hidden_state.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForFeatureExtraction
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForFeatureExtraction.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_state = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(last_hidden_state.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">12</span>, <span class="hljs-number">384</span>]`}}),{c(){s=a("p"),_=p("Example of feature extraction:"),d=h(),w(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of feature extraction:"),r.forEach(t),d=g(n),T(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),x(u,n,r),f=!0},p:N,i(n){f||(b(u.$$.fragment,n),f=!0)},o(n){y(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),M(u,n)}}}function nf(j){let s,_,d,u,f,n,r,O;return r=new z({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForFeatureExtraction

tokenizer = AutoTokenizer.from_pretrained("optimum/all-MiniLM-L6-v2")
model = ORTModelForFeatureExtraction.from_pretrained("optimum/all-MiniLM-L6-v2")
onnx_extractor = pipeline("feature-extraction", model=model, tokenizer=tokenizer)

text = "My name is Philipp and I live in Germany."
pred = onnx_extractor(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForFeatureExtraction

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForFeatureExtraction.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_extractor = pipeline(<span class="hljs-string">&quot;feature-extraction&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_extractor(text)`}}),{c(){s=a("p"),_=p("Example using "),d=a("code"),u=p("transformers.pipeline"),f=p(":"),n=h(),w(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipeline"),E.forEach(t),f=m(v,":"),v.forEach(t),n=g(c),T(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),x(r,c,v),O=!0},p:N,i(c){O||(b(r.$$.fragment,c),O=!0)},o(c){y(r.$$.fragment,c),O=!1},d(c){c&&t(s),c&&t(n),M(r,c)}}}function sf(j){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var O=l(d);u=m(O,"Module"),O.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function rf(j){let s,_,d,u,f;return u=new z({props:{code:`import requests
from PIL import Image
from optimum.onnxruntime import ORTModelForImageClassification
from transformers import AutoFeatureExtractor

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/vit-base-patch16-224")
model = ORTModelForImageClassification.from_pretrained("optimum/vit-base-patch16-224")

inputs = preprocessor(images=image, return_tensors="np")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForImageClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForImageClassification.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = preprocessor(images=image, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){s=a("p"),_=p("Example of image classification:"),d=h(),w(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of image classification:"),r.forEach(t),d=g(n),T(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),x(u,n,r),f=!0},p:N,i(n){f||(b(u.$$.fragment,n),f=!0)},o(n){y(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),M(u,n)}}}function af(j){let s,_,d,u,f,n,r,O;return r=new z({props:{code:`import requests
from PIL import Image
from transformers import AutoFeatureExtractor, pipeline
from optimum.onnxruntime import ORTModelForImageClassification

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/vit-base-patch16-224")
model = ORTModelForImageClassification.from_pretrained("optimum/vit-base-patch16-224")
onnx_image_classifier = pipeline("image-classification", model=model, feature_extractor=preprocessor)

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
pred = onnx_image_classifier(url)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForImageClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForImageClassification.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_image_classifier = pipeline(<span class="hljs-string">&quot;image-classification&quot;</span>, model=model, feature_extractor=preprocessor)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_image_classifier(url)`}}),{c(){s=a("p"),_=p("Example using "),d=a("code"),u=p("transformers.pipeline"),f=p(":"),n=h(),w(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipeline"),E.forEach(t),f=m(v,":"),v.forEach(t),n=g(c),T(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),x(r,c,v),O=!0},p:N,i(c){O||(b(r.$$.fragment,c),O=!0)},o(c){y(r.$$.fragment,c),O=!1},d(c){c&&t(s),c&&t(n),M(r,c)}}}function lf(j){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var O=l(d);u=m(O,"Module"),O.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function pf(j){let s,_,d,u,f;return u=new z({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForMaskedLM
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/bert-base-uncased-for-masked-lm")
model = ORTModelForMaskedLM.from_pretrained("optimum/bert-base-uncased-for-masked-lm")

inputs = tokenizer("The capital of France is [MASK].", return_tensors="np")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForMaskedLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-uncased-for-masked-lm&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForMaskedLM.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-uncased-for-masked-lm&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;The capital of France is [MASK].&quot;</span>, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">8</span>, <span class="hljs-number">28996</span>]`}}),{c(){s=a("p"),_=p("Example of feature extraction:"),d=h(),w(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of feature extraction:"),r.forEach(t),d=g(n),T(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),x(u,n,r),f=!0},p:N,i(n){f||(b(u.$$.fragment,n),f=!0)},o(n){y(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),M(u,n)}}}function mf(j){let s,_,d,u,f,n,r,O;return r=new z({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForMaskedLM

tokenizer = AutoTokenizer.from_pretrained("optimum/bert-base-uncased-for-masked-lm")
model = ORTModelForMaskedLM.from_pretrained("optimum/bert-base-uncased-for-masked-lm")
fill_masker = pipeline("fill-mask", model=model, tokenizer=tokenizer)

text = "The capital of France is [MASK]."
pred = fill_masker(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForMaskedLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-uncased-for-masked-lm&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForMaskedLM.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-uncased-for-masked-lm&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>fill_masker = pipeline(<span class="hljs-string">&quot;fill-mask&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;The capital of France is [MASK].&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = fill_masker(text)`}}),{c(){s=a("p"),_=p("Example using "),d=a("code"),u=p("transformers.pipeline"),f=p(":"),n=h(),w(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipeline"),E.forEach(t),f=m(v,":"),v.forEach(t),n=g(c),T(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),x(r,c,v),O=!0},p:N,i(c){O||(b(r.$$.fragment,c),O=!0)},o(c){y(r.$$.fragment,c),O=!1},d(c){c&&t(s),c&&t(n),M(r,c)}}}function df(j){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var O=l(d);u=m(O,"Module"),O.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function cf(j){let s,_,d,u,f;return u=new z({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForMultipleChoice

tokenizer = AutoTokenizer.from_pretrained("ehdwns1516/bert-base-uncased_SWAG")
model = ORTModelForMultipleChoice.from_pretrained("ehdwns1516/bert-base-uncased_SWAG", from_transformers=True)

num_choices = 4
first_sentence = ["Members of the procession walk down the street holding small horn brass instruments."] * num_choices
second_sentence = [
    "A drum line passes by walking down the street playing their instruments.",
    "A drum line has heard approaching them.",
    "A drum line arrives and they're outside dancing and asleep.",
    "A drum line turns the lead singer watches the performance."
]
inputs = tokenizer(first_sentence, second_sentence, truncation=True, padding=True)

for k, v in inputs.items():
    inputs[k] = [v[i: i + num_choices] for i in range(0, len(v), num_choices)]
inputs = dict(inputs.convert_to_tensors(tensor_type="pt"))
outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForMultipleChoice

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;ehdwns1516/bert-base-uncased_SWAG&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForMultipleChoice.from_pretrained(<span class="hljs-string">&quot;ehdwns1516/bert-base-uncased_SWAG&quot;</span>, from_transformers=<span class="hljs-literal">True</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>num_choices = <span class="hljs-number">4</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>first_sentence = [<span class="hljs-string">&quot;Members of the procession walk down the street holding small horn brass instruments.&quot;</span>] * num_choices
<span class="hljs-meta">&gt;&gt;&gt; </span>second_sentence = [
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;A drum line passes by walking down the street playing their instruments.&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;A drum line has heard approaching them.&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;A drum line arrives and they&#x27;re outside dancing and asleep.&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;A drum line turns the lead singer watches the performance.&quot;</span>
<span class="hljs-meta">... </span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(first_sentence, second_sentence, truncation=<span class="hljs-literal">True</span>, padding=<span class="hljs-literal">True</span>)

<span class="hljs-comment"># Unflatten the inputs values expanding it to the shape [batch_size, num_choices, seq_length]</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">for</span> k, v <span class="hljs-keyword">in</span> inputs.items():
<span class="hljs-meta">... </span>    inputs[k] = [v[i: i + num_choices] <span class="hljs-keyword">for</span> i <span class="hljs-keyword">in</span> <span class="hljs-built_in">range</span>(<span class="hljs-number">0</span>, <span class="hljs-built_in">len</span>(v), num_choices)]
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = <span class="hljs-built_in">dict</span>(inputs.convert_to_tensors(tensor_type=<span class="hljs-string">&quot;pt&quot;</span>))
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){s=a("p"),_=p("Example of mutliple choice:"),d=h(),w(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of mutliple choice:"),r.forEach(t),d=g(n),T(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),x(u,n,r),f=!0},p:N,i(n){f||(b(u.$$.fragment,n),f=!0)},o(n){y(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),M(u,n)}}}function uf(j){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var O=l(d);u=m(O,"Module"),O.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function hf(j){let s,_,d,u,f;return u=new z({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForQuestionAnswering
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/roberta-base-squad2")
model = ORTModelForQuestionAnswering.from_pretrained("optimum/roberta-base-squad2")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"
inputs = tokenizer(question, text, return_tensors="np")
start_positions = torch.tensor([1])
end_positions = torch.tensor([3])

outputs = model(**inputs, start_positions=start_positions, end_positions=end_positions)
start_scores = outputs.start_logits
end_scores = outputs.end_logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForQuestionAnswering
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>start_positions = torch.tensor([<span class="hljs-number">1</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>end_positions = torch.tensor([<span class="hljs-number">3</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, start_positions=start_positions, end_positions=end_positions)
<span class="hljs-meta">&gt;&gt;&gt; </span>start_scores = outputs.start_logits
<span class="hljs-meta">&gt;&gt;&gt; </span>end_scores = outputs.end_logits`}}),{c(){s=a("p"),_=p("Example of question answering:"),d=h(),w(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of question answering:"),r.forEach(t),d=g(n),T(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),x(u,n,r),f=!0},p:N,i(n){f||(b(u.$$.fragment,n),f=!0)},o(n){y(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),M(u,n)}}}function gf(j){let s,_,d,u,f,n,r,O;return r=new z({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForQuestionAnswering

tokenizer = AutoTokenizer.from_pretrained("optimum/roberta-base-squad2")
model = ORTModelForQuestionAnswering.from_pretrained("optimum/roberta-base-squad2")
onnx_qa = pipeline("question-answering", model=model, tokenizer=tokenizer)

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"
pred = onnx_qa(question, text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForQuestionAnswering

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_qa = pipeline(<span class="hljs-string">&quot;question-answering&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_qa(question, text)`}}),{c(){s=a("p"),_=p("Example using "),d=a("code"),u=p("transformers.pipeline"),f=p(":"),n=h(),w(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipeline"),E.forEach(t),f=m(v,":"),v.forEach(t),n=g(c),T(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),x(r,c,v),O=!0},p:N,i(c){O||(b(r.$$.fragment,c),O=!0)},o(c){y(r.$$.fragment,c),O=!1},d(c){c&&t(s),c&&t(n),M(r,c)}}}function ff(j){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var O=l(d);u=m(O,"Module"),O.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function _f(j){let s,_,d,u,f;return u=new z({props:{code:`import requests
from PIL import Image
from optimum.onnxruntime import ORTModelForSemanticSegmentation
from transformers import AutoFeatureExtractor

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/segformer-b0-finetuned-ade-512-512")
model = ORTModelForSemanticSegmentation.from_pretrained("optimum/segformer-b0-finetuned-ade-512-512")

inputs = preprocessor(images=image, return_tensors="np")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSemanticSegmentation
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/segformer-b0-finetuned-ade-512-512&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSemanticSegmentation.from_pretrained(<span class="hljs-string">&quot;optimum/segformer-b0-finetuned-ade-512-512&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = preprocessor(images=image, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){s=a("p"),_=p("Example of semantic segmentation:"),d=h(),w(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of semantic segmentation:"),r.forEach(t),d=g(n),T(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),x(u,n,r),f=!0},p:N,i(n){f||(b(u.$$.fragment,n),f=!0)},o(n){y(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),M(u,n)}}}function $f(j){let s,_,d,u,f,n,r,O;return r=new z({props:{code:`import requests
from PIL import Image
from transformers import AutoFeatureExtractor, pipeline
from optimum.onnxruntime import ORTModelForSemanticSegmentation

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/segformer-b0-finetuned-ade-512-512")
model = ORTModelForSemanticSegmentation.from_pretrained("optimum/segformer-b0-finetuned-ade-512-512")
onnx_image_segmenter = pipeline("image-segmentation", model=model, feature_extractor=preprocessor)

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
pred = onnx_image_segmenter(url)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSemanticSegmentation

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/segformer-b0-finetuned-ade-512-512&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSemanticSegmentation.from_pretrained(<span class="hljs-string">&quot;optimum/segformer-b0-finetuned-ade-512-512&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_image_segmenter = pipeline(<span class="hljs-string">&quot;image-segmentation&quot;</span>, model=model, feature_extractor=preprocessor)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_image_segmenter(url)`}}),{c(){s=a("p"),_=p("Example using "),d=a("code"),u=p("transformers.pipeline"),f=p(":"),n=h(),w(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipeline"),E.forEach(t),f=m(v,":"),v.forEach(t),n=g(c),T(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),x(r,c,v),O=!0},p:N,i(c){O||(b(r.$$.fragment,c),O=!0)},o(c){y(r.$$.fragment,c),O=!1},d(c){c&&t(s),c&&t(n),M(r,c)}}}function vf(j){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var O=l(d);u=m(O,"Module"),O.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function kf(j){let s,_,d,u,f;return u=new z({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForSeq2SeqLM

tokenizer = AutoTokenizer.from_pretrained("optimum/t5-small")
model = ORTModelForSeq2SeqLM.from_pretrained("optimum/t5-small")

inputs = tokenizer("My name is Eustache and I like to", return_tensors="pt")

gen_tokens = model.generate(**inputs)
outputs = tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSeq2SeqLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSeq2SeqLM.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Eustache and I like to&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = tokenizer.batch_decode(gen_tokens)`}}),{c(){s=a("p"),_=p("Example of text generation:"),d=h(),w(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of text generation:"),r.forEach(t),d=g(n),T(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),x(u,n,r),f=!0},p:N,i(n){f||(b(u.$$.fragment,n),f=!0)},o(n){y(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),M(u,n)}}}function wf(j){let s,_,d,u,f,n,r,O;return r=new z({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSeq2SeqLM

tokenizer = AutoTokenizer.from_pretrained("optimum/t5-small")
model = ORTModelForSeq2SeqLM.from_pretrained("optimum/t5-small")
onnx_translation = pipeline("translation_en_to_de", model=model, tokenizer=tokenizer)

text = "My name is Eustache."
pred = onnx_translation(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSeq2SeqLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSeq2SeqLM.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_translation = pipeline(<span class="hljs-string">&quot;translation_en_to_de&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Eustache.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_translation(text)`}}),{c(){s=a("p"),_=p("Example using "),d=a("code"),u=p("transformers.pipeline"),f=p(":"),n=h(),w(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipeline"),E.forEach(t),f=m(v,":"),v.forEach(t),n=g(c),T(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),x(r,c,v),O=!0},p:N,i(c){O||(b(r.$$.fragment,c),O=!0)},o(c){y(r.$$.fragment,c),O=!1},d(c){c&&t(s),c&&t(n),M(r,c)}}}function Tf(j){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var O=l(d);u=m(O,"Module"),O.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function xf(j){let s,_,d,u,f;return u=new z({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForSequenceClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")

inputs = tokenizer("Hello, my dog is cute", return_tensors="np")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">2</span>]`}}),{c(){s=a("p"),_=p("Example of single-label classification:"),d=h(),w(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of single-label classification:"),r.forEach(t),d=g(n),T(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),x(u,n,r),f=!0},p:N,i(n){f||(b(u.$$.fragment,n),f=!0)},o(n){y(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),M(u,n)}}}function bf(j){let s,_,d,u,f,n,r,O;return r=new z({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
onnx_classifier = pipeline("text-classification", model=model, tokenizer=tokenizer)

text = "Hello, my dog is cute"
pred = onnx_classifier(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_classifier = pipeline(<span class="hljs-string">&quot;text-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_classifier(text)`}}),{c(){s=a("p"),_=p("Example using "),d=a("code"),u=p("transformers.pipelines"),f=p(":"),n=h(),w(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipelines"),E.forEach(t),f=m(v,":"),v.forEach(t),n=g(c),T(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),x(r,c,v),O=!0},p:N,i(c){O||(b(r.$$.fragment,c),O=!0)},o(c){y(r.$$.fragment,c),O=!1},d(c){c&&t(s),c&&t(n),M(r,c)}}}function yf(j){let s,_,d,u,f,n,r,O;return r=new z({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-mnli")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-mnli")
onnx_z0 = pipeline("zero-shot-classification", model=model, tokenizer=tokenizer)

sequence_to_classify = "Who are you voting for in 2020?"
candidate_labels = ["Europe", "public health", "politics", "elections"]
pred = onnx_z0(sequence_to_classify, candidate_labels, multi_label=True)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-mnli&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-mnli&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_z0 = pipeline(<span class="hljs-string">&quot;zero-shot-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>sequence_to_classify = <span class="hljs-string">&quot;Who are you voting for in 2020?&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>candidate_labels = [<span class="hljs-string">&quot;Europe&quot;</span>, <span class="hljs-string">&quot;public health&quot;</span>, <span class="hljs-string">&quot;politics&quot;</span>, <span class="hljs-string">&quot;elections&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_z0(sequence_to_classify, candidate_labels, multi_label=<span class="hljs-literal">True</span>)`}}),{c(){s=a("p"),_=p("Example using zero-shot-classification "),d=a("code"),u=p("transformers.pipelines"),f=p(":"),n=h(),w(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using zero-shot-classification "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipelines"),E.forEach(t),f=m(v,":"),v.forEach(t),n=g(c),T(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),x(r,c,v),O=!0},p:N,i(c){O||(b(r.$$.fragment,c),O=!0)},o(c){y(r.$$.fragment,c),O=!1},d(c){c&&t(s),c&&t(n),M(r,c)}}}function Mf(j){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var O=l(d);u=m(O,"Module"),O.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function Of(j){let s,_,d,u,f;return u=new z({props:{code:`from transformers import AutoProcessor
from optimum.onnxruntime import ORTModelForSpeechSeq2Seq
from datasets import load_dataset

processor = AutoProcessor.from_pretrained("optimum/whisper-tiny.en")
model = ORTModelForSpeechSeq2Seq.from_pretrained("optimum/whisper-tiny.en")

ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
inputs = processor.feature_extractor(ds[0]["audio"]["array"], return_tensors="pt")

gen_tokens = model.generate(inputs=inputs.input_features)
outputs = processor.tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSpeechSeq2Seq
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSpeechSeq2Seq.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor.feature_extractor(ds[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(inputs=inputs.input_features)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = processor.tokenizer.batch_decode(gen_tokens)`}}),{c(){s=a("p"),_=p("Example of text generation:"),d=h(),w(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of text generation:"),r.forEach(t),d=g(n),T(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),x(u,n,r),f=!0},p:N,i(n){f||(b(u.$$.fragment,n),f=!0)},o(n){y(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),M(u,n)}}}function qf(j){let s,_,d,u,f,n,r,O;return r=new z({props:{code:`from transformers import AutoProcessor, pipeline
from optimum.onnxruntime import ORTModelForSpeechSeq2Seq
from datasets import load_dataset

processor = AutoProcessor.from_pretrained("optimum/whisper-tiny.en")
model = ORTModelForSpeechSeq2Seq.from_pretrained("optimum/whisper-tiny.en")
speech_recognition = pipeline("automatic-speech-recognition", model=model, tokenizer=processor.tokenizer, feature_extractor=processor.feature_extractor)

ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
pred = speech_recognition(ds[0]["audio"]["array"])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSpeechSeq2Seq
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSpeechSeq2Seq.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>speech_recognition = pipeline(<span class="hljs-string">&quot;automatic-speech-recognition&quot;</span>, model=model, tokenizer=processor.tokenizer, feature_extractor=processor.feature_extractor)

<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = speech_recognition(ds[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>])`}}),{c(){s=a("p"),_=p("Example using "),d=a("code"),u=p("transformers.pipeline"),f=p(":"),n=h(),w(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipeline"),E.forEach(t),f=m(v,":"),v.forEach(t),n=g(c),T(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),x(r,c,v),O=!0},p:N,i(c){O||(b(r.$$.fragment,c),O=!0)},o(c){y(r.$$.fragment,c),O=!1},d(c){c&&t(s),c&&t(n),M(r,c)}}}function jf(j){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var O=l(d);u=m(O,"Module"),O.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function Ef(j){let s,_,d,u,f;return u=new z({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForTokenClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/bert-base-NER")
model = ORTModelForTokenClassification.from_pretrained("optimum/bert-base-NER")

inputs = tokenizer("My name is Philipp and I live in Germany.", return_tensors="np")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForTokenClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">12</span>, <span class="hljs-number">9</span>]`}}),{c(){s=a("p"),_=p("Example of token classification:"),d=h(),w(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of token classification:"),r.forEach(t),d=g(n),T(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),x(u,n,r),f=!0},p:N,i(n){f||(b(u.$$.fragment,n),f=!0)},o(n){y(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),M(u,n)}}}function Rf(j){let s,_,d,u,f,n,r,O;return r=new z({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForTokenClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/bert-base-NER")
model = ORTModelForTokenClassification.from_pretrained("optimum/bert-base-NER")
onnx_ner = pipeline("token-classification", model=model, tokenizer=tokenizer)

text = "My name is Philipp and I live in Germany."
pred = onnx_ner(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForTokenClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_ner = pipeline(<span class="hljs-string">&quot;token-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_ner(text)`}}),{c(){s=a("p"),_=p("Example using "),d=a("code"),u=p("transformers.pipelines"),f=p(":"),n=h(),w(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipelines"),E.forEach(t),f=m(v,":"),v.forEach(t),n=g(c),T(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),x(r,c,v),O=!0},p:N,i(c){O||(b(r.$$.fragment,c),O=!0)},o(c){y(r.$$.fragment,c),O=!1},d(c){c&&t(s),c&&t(n),M(r,c)}}}function Ff(j){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var O=l(d);u=m(O,"Module"),O.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function Sf(j){let s,_,d,u,f;return u=new z({props:{code:`from transformers import AutoImageProcessor, AutoTokenizer
from optimum.onnxruntime import ORTModelForVision2Seq
from PIL import Image
import requests


processor = AutoImageProcessor.from_pretrained("nlpconnect/vit-gpt2-image-captioning")
tokenizer = AutoTokenizer.from_pretrained("nlpconnect/vit-gpt2-image-captioning")
model = ORTModelForVision2Seq.from_pretrained("nlpconnect/vit-gpt2-image-captioning", from_transformers=True)

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)
inputs = processor(image, return_tensors="pt")

gen_tokens = model.generate(**inputs)
outputs = tokenizer.batch_decode(gen_tokens, skip_special_tokens=True)
`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForVision2Seq
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests


<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;nlpconnect/vit-gpt2-image-captioning&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;nlpconnect/vit-gpt2-image-captioning&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForVision2Seq.from_pretrained(<span class="hljs-string">&quot;nlpconnect/vit-gpt2-image-captioning&quot;</span>, from_transformers=<span class="hljs-literal">True</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor(image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = tokenizer.batch_decode(gen_tokens, skip_special_tokens=<span class="hljs-literal">True</span>)
`}}),{c(){s=a("p"),_=p("Example of text generation:"),d=h(),w(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of text generation:"),r.forEach(t),d=g(n),T(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),x(u,n,r),f=!0},p:N,i(n){f||(b(u.$$.fragment,n),f=!0)},o(n){y(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),M(u,n)}}}function Cf(j){let s,_,d,u,f,n,r,O;return r=new z({props:{code:`from transformers import AutoImageProcessor, AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForVision2Seq
from PIL import Image
import requests


processor = AutoImageProcessor.from_pretrained("nlpconnect/vit-gpt2-image-captioning")
tokenizer = AutoTokenizer.from_pretrained("nlpconnect/vit-gpt2-image-captioning")
model = ORTModelForVision2Seq.from_pretrained("nlpconnect/vit-gpt2-image-captioning", from_transformers=True)

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

image_to_text = pipeline("image-to-text", model=model, tokenizer=tokenizer, feature_extractor=processor, image_processor=processor)
pred = image_to_text(image)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForVision2Seq
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests


<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;nlpconnect/vit-gpt2-image-captioning&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;nlpconnect/vit-gpt2-image-captioning&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForVision2Seq.from_pretrained(<span class="hljs-string">&quot;nlpconnect/vit-gpt2-image-captioning&quot;</span>, from_transformers=<span class="hljs-literal">True</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>image_to_text = pipeline(<span class="hljs-string">&quot;image-to-text&quot;</span>, model=model, tokenizer=tokenizer, feature_extractor=processor, image_processor=processor)
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = image_to_text(image)`}}),{c(){s=a("p"),_=p("Example using "),d=a("code"),u=p("transformers.pipeline"),f=p(":"),n=h(),w(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipeline"),E.forEach(t),f=m(v,":"),v.forEach(t),n=g(c),T(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),x(r,c,v),O=!0},p:N,i(c){O||(b(r.$$.fragment,c),O=!0)},o(c){y(r.$$.fragment,c),O=!1},d(c){c&&t(s),c&&t(n),M(r,c)}}}function Nf(j){let s,_,d,u,f,n,r,O,c,v,E,ct,ds,Mo,Hi,cs,Qi,Ia,F,Oo,Gi,us,Ji,Ki,qo,Yi,hs,Zi,el,tl,gs,ol,nl,jo,fe,sl,fs,rl,al,_s,il,ll,$s,pl,ml,dl,_e,cl,vs,ul,hl,ks,gl,fl,ws,_l,$l,vl,Ts,kl,wl,re,Eo,Tl,xs,xl,bl,yl,Ro,Ml,Fo,Ol,ql,jl,ae,El,bs,Rl,Fl,ys,Sl,Cl,Ms,Nl,zl,Os,Pl,Al,Il,So,Ll,qs,Dl,Ul,Vl,js,Xl,Wl,ut,Co,Bl,Es,Hl,Ql,ht,No,Gl,zo,Jl,Rs,Kl,Yl,Zl,gt,Po,ep,Fs,tp,op,ft,Ao,np,Ss,sp,rp,_t,Io,ap,Cs,ip,La,Le,$t,Ns,Lo,lp,zs,pp,Da,ie,Do,mp,Ps,dp,cp,vt,Uo,up,Vo,hp,As,gp,fp,_p,Q,Xo,$p,De,vp,Is,kp,wp,Ls,Tp,xp,bp,kt,yp,wt,Mp,Tt,Ua,Ue,xt,Ds,Wo,Op,Us,qp,Va,A,Bo,jp,Vs,Ep,Rp,Ho,Fp,Xs,Sp,Cp,Np,Ws,zp,Pp,G,Qo,Ap,Ve,Ip,Bs,Lp,Dp,Hs,Up,Vp,Xp,bt,Wp,yt,Bp,Mt,Xa,Xe,Ot,Qs,Go,Hp,Gs,Qp,Wa,I,Jo,Gp,Js,Jp,Kp,Ko,Yp,Ks,Zp,em,tm,Ys,om,nm,J,Yo,sm,We,rm,Zs,am,im,er,lm,pm,mm,qt,dm,jt,cm,Et,Ba,Be,Rt,tr,Zo,um,or,hm,Ha,L,en,gm,nr,fm,_m,tn,$m,sr,vm,km,wm,rr,Tm,xm,K,on,bm,He,ym,ar,Mm,Om,ir,qm,jm,Em,Ft,Rm,St,Fm,Ct,Qa,Qe,Nt,lr,nn,Sm,pr,Cm,Ga,D,sn,Nm,mr,zm,Pm,rn,Am,dr,Im,Lm,Dm,cr,Um,Vm,Y,an,Xm,Ge,Wm,ur,Bm,Hm,hr,Qm,Gm,Jm,zt,Km,Pt,Ym,At,Ja,Je,It,gr,ln,Zm,fr,ed,Ka,U,pn,td,_r,od,nd,mn,sd,$r,rd,ad,id,vr,ld,pd,he,dn,md,Ke,dd,kr,cd,ud,wr,hd,gd,fd,Lt,_d,Dt,Ya,Ye,Ut,Tr,cn,$d,xr,vd,Za,V,un,kd,br,wd,Td,hn,xd,yr,bd,yd,Md,Mr,Od,qd,Z,gn,jd,Ze,Ed,Or,Rd,Fd,qr,Sd,Cd,Nd,Vt,zd,Xt,Pd,Wt,ei,et,Bt,jr,fn,Ad,Er,Id,ti,X,_n,Ld,Rr,Dd,Ud,$n,Vd,Fr,Xd,Wd,Bd,Sr,Hd,Qd,ee,vn,Gd,tt,Jd,Cr,Kd,Yd,Nr,Zd,ec,tc,Ht,oc,Qt,nc,Gt,oi,ot,Jt,zr,kn,sc,Pr,rc,ni,le,wn,ac,Ar,ic,lc,Kt,Tn,pc,xn,mc,Ir,dc,cc,uc,te,bn,hc,nt,gc,Lr,fc,_c,Dr,$c,vc,kc,Yt,wc,Zt,Tc,eo,si,st,to,Ur,yn,xc,Vr,bc,ri,W,Mn,yc,Xr,Mc,Oc,On,qc,Wr,jc,Ec,Rc,Br,Fc,Sc,P,qn,Cc,rt,Nc,Hr,zc,Pc,Qr,Ac,Ic,Lc,oo,Dc,no,Uc,so,Vc,ro,ai,at,ao,Gr,jn,Xc,Jr,Wc,ii,pe,En,Bc,Kr,Hc,Qc,io,Rn,Gc,Fn,Jc,Yr,Kc,Yc,Zc,oe,Sn,eu,it,tu,Zr,ou,nu,ea,su,ru,au,lo,iu,po,lu,mo,li,lt,co,ta,Cn,pu,oa,mu,pi,B,Nn,du,na,cu,uu,zn,hu,sa,gu,fu,_u,ra,$u,vu,ne,Pn,ku,pt,wu,aa,Tu,xu,ia,bu,yu,Mu,uo,Ou,ho,qu,go,mi,mt,fo,la,An,ju,pa,Eu,di,me,In,Ru,ma,Fu,Su,_o,Ln,Cu,Dn,Nu,da,zu,Pu,Au,se,Un,Iu,dt,Lu,ca,Du,Uu,ua,Vu,Xu,Wu,$o,Bu,vo,Hu,ko,ci;return n=new H({}),Mo=new H({}),Oo=new R({props:{name:"class optimum.onnxruntime.ORTModel",anchor:"optimum.onnxruntime.ORTModel",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L129"}}),Co=new R({props:{name:"from_pretrained",anchor:"optimum.onnxruntime.ORTModel.from_pretrained",parameters:[{name:"model_id",val:": typing.Union[str, pathlib.Path]"},{name:"from_transformers",val:": bool = False"},{name:"force_download",val:": bool = False"},{name:"use_auth_token",val:": typing.Optional[str] = None"},{name:"cache_dir",val:": typing.Optional[str] = None"},{name:"subfolder",val:": str = ''"},{name:"config",val:": typing.Optional[ForwardRef('PretrainedConfig')] = None"},{name:"local_files_only",val:": bool = False"},{name:"provider",val:": str = 'CPUExecutionProvider'"},{name:"session_options",val:": typing.Optional[onnxruntime.capi.onnxruntime_pybind11_state.SessionOptions] = None"},{name:"provider_options",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.model_id",description:`<strong>model_id</strong> (<code>Union[str, Path]</code>) &#x2014;
Can be either:</p>
<ul>
<li>A string, the <em>model id</em> of a pretrained model hosted inside a model repo on huggingface.co.
Valid model ids can be located at the root-level, like <code>bert-base-uncased</code>, or namespaced under a
user or organization name, like <code>dbmdz/bert-base-german-cased</code>.</li>
<li>A path to a <em>directory</em> containing a model saved using <code>~OptimizedModel.save_pretrained</code>,
e.g., <code>./my_model_directory/</code>.</li>
</ul>`,name:"model_id"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.from_transformers",description:`<strong>from_transformers</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Defines whether the provided <code>model_id</code> contains a vanilla Transformers checkpoint.`,name:"from_transformers"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.force_download",description:`<strong>force_download</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Whether or not to force the (re-)download of the model weights and configuration files, overriding the
cached versions if they exist.`,name:"force_download"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.use_auth_token",description:`<strong>use_auth_token</strong> (<code>Optional[str]</code>, defaults to <code>None</code>) &#x2014;
The token to use as HTTP bearer authorization for remote files. If <code>True</code>, will use the token generated
when running <code>transformers-cli login</code> (stored in <code>~/.huggingface</code>).`,name:"use_auth_token"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.cache_dir",description:`<strong>cache_dir</strong> (<code>Optional[str]</code>, defaults to <code>None</code>) &#x2014;
Path to a directory in which a downloaded pretrained model configuration should be cached if the
standard cache should not be used.`,name:"cache_dir"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.subfolder",description:`<strong>subfolder</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
In case the relevant files are located inside a subfolder of the model repo either locally or on huggingface.co, you can
specify the folder name here.`,name:"subfolder"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.config",description:`<strong>config</strong> (<code>Optional[transformers.PretrainedConfig]</code>, defaults to <code>None</code>) &#x2014;
The model configuration.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.local_files_only",description:`<strong>local_files_only</strong> (<code>Optional[bool]</code>, defaults to <code>False</code>) &#x2014;
Whether or not to only look at local files (i.e., do not try to download the model).`,name:"local_files_only"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.trust_remote_code",description:`<strong>trust_remote_code</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether or not to allow for custom code defined on the Hub in their own modeling. This option should only be set
to <code>True</code> for repositories you trust and in which you have read the code, as it will execute code present on
the Hub on your local machine.`,name:"trust_remote_code"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.provider",description:`<strong>provider</strong> (<code>str</code>, defaults to <code>&quot;CPUExecutionProvider&quot;</code>) &#x2014;
ONNX Runtime provider to use for loading the model. See <a href="https://onnxruntime.ai/docs/execution-providers/" rel="nofollow">https://onnxruntime.ai/docs/execution-providers/</a> for
possible providers.`,name:"provider"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.session_options",description:`<strong>session_options</strong> (<code>Optional[onnxruntime.SessionOptions]</code>, defaults to <code>None</code>), &#x2014;
ONNX Runtime session options to use for loading the model.`,name:"session_options"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.provider_options",description:`<strong>provider_options</strong> (<code>Optional[Dict[str, Any]]</code>, defaults to <code>None</code>) &#x2014;
Provider option dictionaries corresponding to the provider used. See available options
for each provider: <a href="https://onnxruntime.ai/docs/api/c/group___global.html" rel="nofollow">https://onnxruntime.ai/docs/api/c/group___global.html</a> .`,name:"provider_options"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.kwargs",description:`<strong>kwargs</strong> (<code>Dict[str, Any]</code>) &#x2014;
Will be passed to the underlying model loading methods.`,name:"kwargs"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L578",returnDescription:`
<p>The loaded ORTModel model.</p>
`,returnType:`
<p><code>ORTModel</code></p>
`}}),No=new R({props:{name:"load_model",anchor:"optimum.onnxruntime.ORTModel.load_model",parameters:[{name:"path",val:": typing.Union[str, pathlib.Path]"},{name:"provider",val:": str = 'CPUExecutionProvider'"},{name:"session_options",val:": typing.Optional[onnxruntime.capi.onnxruntime_pybind11_state.SessionOptions] = None"},{name:"provider_options",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.load_model.path",description:`<strong>path</strong> (<code>Union[str, Path]</code>) &#x2014;
Path of the ONNX model.`,name:"path"},{anchor:"optimum.onnxruntime.ORTModel.load_model.provider",description:`<strong>provider</strong> (<code>str</code>, defaults to <code>&quot;CPUExecutionProvider&quot;</code>) &#x2014;
ONNX Runtime provider to use for loading the model. See <a href="https://onnxruntime.ai/docs/execution-providers/" rel="nofollow">https://onnxruntime.ai/docs/execution-providers/</a>
for possible providers.`,name:"provider"},{anchor:"optimum.onnxruntime.ORTModel.load_model.session_options",description:`<strong>session_options</strong> (<code>Optional[onnxruntime.SessionOptions]</code>, defaults to <code>None</code>) &#x2014;
ONNX Runtime session options to use for loading the model.`,name:"session_options"},{anchor:"optimum.onnxruntime.ORTModel.load_model.provider_options",description:`<strong>provider_options</strong> (<code>Optional[Dict[str, Any]]</code>, defaults to <code>None</code>) &#x2014;
Provider option dictionary corresponding to the provider used. See available options
for each provider: <a href="https://onnxruntime.ai/docs/api/c/group___global.html" rel="nofollow">https://onnxruntime.ai/docs/api/c/group___global.html</a> .`,name:"provider_options"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L306"}}),Po=new R({props:{name:"raise_on_numpy_input_io_binding",anchor:"optimum.onnxruntime.ORTModel.raise_on_numpy_input_io_binding",parameters:[{name:"use_torch",val:": bool"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.raise_on_numpy_input_io_binding.use_torch",description:`<strong>use_torch</strong> (<code>bool</code>) &#x2014;
Whether the tensor used during inference are of type torch.Tensor or not.`,name:"use_torch"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L772"}}),Ao=new R({props:{name:"shared_attributes_init",anchor:"optimum.onnxruntime.ORTModel.shared_attributes_init",parameters:[{name:"model",val:": InferenceSession"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L169"}}),Io=new R({props:{name:"to",anchor:"optimum.onnxruntime.ORTModel.to",parameters:[{name:"device",val:": typing.Union[torch.device, str, int]"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.to.device",description:`<strong>device</strong> (<code>torch.device</code> or <code>str</code> or <code>int</code>) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run
the model on the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L273",returnDescription:`
<p>the model placed on the requested device.</p>
`,returnType:`
<p><code>ORTModel</code></p>
`}}),Lo=new H({}),Do=new R({props:{name:"class optimum.onnxruntime.ORTModelForCausalLM",anchor:"optimum.onnxruntime.ORTModelForCausalLM",parameters:[{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_cache",val:": bool = True"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"generation_config",val:": typing.Optional[transformers.generation.configuration_utils.GenerationConfig] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_decoder.py#L570"}}),Uo=new R({props:{name:"can_generate",anchor:"optimum.onnxruntime.ORTModelForCausalLM.can_generate",parameters:[],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_decoder.py#L646"}}),Xo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"use_cache_branch",val:": None = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, sequence_length)</code>.`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code>) &#x2014;
Mask to avoid performing attention on padding token indices, of shape
<code>(batch_size, sequence_length)</code>. Mask values selected in <code>[0, 1]</code>.`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*, defaults to </code>None<code>)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_decoder.py#L578"}}),kt=new ue({props:{$$slots:{default:[Gg]},$$scope:{ctx:j}}}),wt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.example",$$slots:{default:[Jg]},$$scope:{ctx:j}}}),Tt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.example-2",$$slots:{default:[Kg]},$$scope:{ctx:j}}}),Wo=new H({}),Bo=new R({props:{name:"class optimum.onnxruntime.ORTModelForCustomTasks",anchor:"optimum.onnxruntime.ORTModelForCustomTasks",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.use_io_binding",description:"<strong>use_io_binding</strong> (<code>Optional[bool]</code>, defaults to <code>None</code>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1690"}}),Qo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForCustomTasks.forward",parameters:[{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1695"}}),bt=new ue({props:{$$slots:{default:[Yg]},$$scope:{ctx:j}}}),yt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.forward.example",$$slots:{default:[Zg]},$$scope:{ctx:j}}}),Mt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.forward.example-2",$$slots:{default:[ef]},$$scope:{ctx:j}}}),Go=new H({}),Jo=new R({props:{name:"class optimum.onnxruntime.ORTModelForFeatureExtraction",anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.use_io_binding",description:"<strong>use_io_binding</strong> (<code>Optional[bool]</code>, defaults to <code>None</code>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L828"}}),Yo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward",parameters:[{name:"input_ids",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"attention_mask",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.input_ids",description:`<strong>input_ids</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L835"}}),qt=new ue({props:{$$slots:{default:[tf]},$$scope:{ctx:j}}}),jt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.example",$$slots:{default:[of]},$$scope:{ctx:j}}}),Et=new C({props:{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.example-2",$$slots:{default:[nf]},$$scope:{ctx:j}}}),Zo=new H({}),en=new R({props:{name:"class optimum.onnxruntime.ORTModelForImageClassification",anchor:"optimum.onnxruntime.ORTModelForImageClassification",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForImageClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForImageClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForImageClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>Optional[bool]</code>, defaults to <code>None</code>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1490"}}),on=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward",parameters:[{name:"pixel_values",val:": typing.Union[torch.Tensor, numpy.ndarray]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, num_channels, height, width)</code>, defaults to <code>None</code>) &#x2014;
Pixel values corresponding to the images in the current batch.
Pixel values can be obtained from encoded images using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autofeatureextractor" rel="nofollow"><code>AutoFeatureExtractor</code></a>.`,name:"pixel_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1497"}}),Ft=new ue({props:{$$slots:{default:[sf]},$$scope:{ctx:j}}}),St=new C({props:{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.example",$$slots:{default:[rf]},$$scope:{ctx:j}}}),Ct=new C({props:{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.example-2",$$slots:{default:[af]},$$scope:{ctx:j}}}),nn=new H({}),sn=new R({props:{name:"class optimum.onnxruntime.ORTModelForMaskedLM",anchor:"optimum.onnxruntime.ORTModelForMaskedLM",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForMaskedLM.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForMaskedLM.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForMaskedLM.use_io_binding",description:"<strong>use_io_binding</strong> (<code>Optional[bool]</code>, defaults to <code>None</code>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L935"}}),an=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForMaskedLM.forward",parameters:[{name:"input_ids",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"attention_mask",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForMaskedLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForMaskedLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForMaskedLM.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L942"}}),zt=new ue({props:{$$slots:{default:[lf]},$$scope:{ctx:j}}}),Pt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForMaskedLM.forward.example",$$slots:{default:[pf]},$$scope:{ctx:j}}}),At=new C({props:{anchor:"optimum.onnxruntime.ORTModelForMaskedLM.forward.example-2",$$slots:{default:[mf]},$$scope:{ctx:j}}}),ln=new H({}),pn=new R({props:{name:"class optimum.onnxruntime.ORTModelForMultipleChoice",anchor:"optimum.onnxruntime.ORTModelForMultipleChoice",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.use_io_binding",description:"<strong>use_io_binding</strong> (<code>Optional[bool]</code>, defaults to <code>None</code>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1380"}}),dn=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.forward",parameters:[{name:"input_ids",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"attention_mask",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.forward.input_ids",description:`<strong>input_ids</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1387"}}),Lt=new ue({props:{$$slots:{default:[df]},$$scope:{ctx:j}}}),Dt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.forward.example",$$slots:{default:[cf]},$$scope:{ctx:j}}}),cn=new H({}),un=new R({props:{name:"class optimum.onnxruntime.ORTModelForQuestionAnswering",anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.use_io_binding",description:"<strong>use_io_binding</strong> (<code>Optional[bool]</code>, defaults to <code>None</code>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1043"}}),gn=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward",parameters:[{name:"input_ids",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"attention_mask",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.input_ids",description:`<strong>input_ids</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1050"}}),Vt=new ue({props:{$$slots:{default:[uf]},$$scope:{ctx:j}}}),Xt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.example",$$slots:{default:[hf]},$$scope:{ctx:j}}}),Wt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.example-2",$$slots:{default:[gf]},$$scope:{ctx:j}}}),fn=new H({}),_n=new R({props:{name:"class optimum.onnxruntime.ORTModelForSemanticSegmentation",anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.use_io_binding",description:"<strong>use_io_binding</strong> (<code>Optional[bool]</code>, defaults to <code>None</code>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1589"}}),vn=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.forward",parameters:[{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, num_channels, height, width)</code>, defaults to <code>None</code>) &#x2014;
Pixel values corresponding to the images in the current batch.
Pixel values can be obtained from encoded images using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autofeatureextractor" rel="nofollow"><code>AutoFeatureExtractor</code></a>.`,name:"pixel_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1596"}}),Ht=new ue({props:{$$slots:{default:[ff]},$$scope:{ctx:j}}}),Qt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.forward.example",$$slots:{default:[_f]},$$scope:{ctx:j}}}),Gt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.forward.example-2",$$slots:{default:[$f]},$$scope:{ctx:j}}}),kn=new H({}),wn=new R({props:{name:"class optimum.onnxruntime.ORTModelForSeq2SeqLM",anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM",parameters:[{name:"encoder_session",val:": InferenceSession"},{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"generation_config",val:": typing.Optional[transformers.generation.configuration_utils.GenerationConfig] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L828"}}),Tn=new R({props:{name:"can_generate",anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.can_generate",parameters:[],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L921"}}),bn=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of input sequence tokens in the vocabulary of shape <code>(batch_size, encoder_sequence_length)</code>.`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code>) &#x2014;
Mask to avoid performing attention on padding token indices, of shape
<code>(batch_size, encoder_sequence_length)</code>. Mask values selected in <code>[0, 1]</code>.`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, decoder_sequence_length)</code>.`,name:"decoder_input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>torch.FloatTensor</code>) &#x2014;
The encoder <code>last_hidden_state</code> of shape <code>(batch_size, encoder_sequence_length, hidden_size)</code>.`,name:"encoder_outputs"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*, defaults to </code>None<code>)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, decoder_sequence_length, embed_size_per_head)</code> and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L839"}}),Yt=new ue({props:{$$slots:{default:[vf]},$$scope:{ctx:j}}}),Zt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.example",$$slots:{default:[kf]},$$scope:{ctx:j}}}),eo=new C({props:{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.example-2",$$slots:{default:[wf]},$$scope:{ctx:j}}}),yn=new H({}),Mn=new R({props:{name:"class optimum.onnxruntime.ORTModelForSequenceClassification",anchor:"optimum.onnxruntime.ORTModelForSequenceClassification",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>Optional[bool]</code>, defaults to <code>None</code>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1171"}}),qn=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward",parameters:[{name:"input_ids",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"attention_mask",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1178"}}),oo=new ue({props:{$$slots:{default:[Tf]},$$scope:{ctx:j}}}),no=new C({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example",$$slots:{default:[xf]},$$scope:{ctx:j}}}),so=new C({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example-2",$$slots:{default:[bf]},$$scope:{ctx:j}}}),ro=new C({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example-3",$$slots:{default:[yf]},$$scope:{ctx:j}}}),jn=new H({}),En=new R({props:{name:"class optimum.onnxruntime.ORTModelForSpeechSeq2Seq",anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq",parameters:[{name:"encoder_session",val:": InferenceSession"},{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"generation_config",val:": typing.Optional[transformers.generation.configuration_utils.GenerationConfig] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L926"}}),Rn=new R({props:{name:"can_generate",anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.can_generate",parameters:[],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L1024"}}),Sn=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward",parameters:[{name:"input_features",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.input_features",description:`<strong>input_features</strong> (<code>torch.FloatTensor</code>) &#x2014;
Mel features extracted from the raw speech waveform.
<code>(batch_size, feature_size, encoder_sequence_length)</code>.`,name:"input_features"},{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, decoder_sequence_length)</code>.`,name:"decoder_input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>torch.FloatTensor</code>) &#x2014;
The encoder <code>last_hidden_state</code> of shape <code>(batch_size, encoder_sequence_length, hidden_size)</code>.`,name:"encoder_outputs"},{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*, defaults to </code>None<code>)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, decoder_sequence_length, embed_size_per_head)</code> and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L947"}}),lo=new ue({props:{$$slots:{default:[Mf]},$$scope:{ctx:j}}}),po=new C({props:{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.example",$$slots:{default:[Of]},$$scope:{ctx:j}}}),mo=new C({props:{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.example-2",$$slots:{default:[qf]},$$scope:{ctx:j}}}),Cn=new H({}),Nn=new R({props:{name:"class optimum.onnxruntime.ORTModelForTokenClassification",anchor:"optimum.onnxruntime.ORTModelForTokenClassification",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>Optional[bool]</code>, defaults to <code>None</code>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1277"}}),Pn=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward",parameters:[{name:"input_ids",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"attention_mask",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1284"}}),uo=new ue({props:{$$slots:{default:[jf]},$$scope:{ctx:j}}}),ho=new C({props:{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.example",$$slots:{default:[Ef]},$$scope:{ctx:j}}}),go=new C({props:{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.example-2",$$slots:{default:[Rf]},$$scope:{ctx:j}}}),An=new H({}),In=new R({props:{name:"class optimum.onnxruntime.ORTModelForVision2Seq",anchor:"optimum.onnxruntime.ORTModelForVision2Seq",parameters:[{name:"encoder_session",val:": InferenceSession"},{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"generation_config",val:": typing.Optional[transformers.generation.configuration_utils.GenerationConfig] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L1029"}}),Ln=new R({props:{name:"can_generate",anchor:"optimum.onnxruntime.ORTModelForVision2Seq.can_generate",parameters:[],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L1150"}}),Un=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForVision2Seq.forward",parameters:[{name:"pixel_values",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForVision2Seq.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code>) &#x2014;
Features extracted from an Image. This tensor should be of shape
<code>(batch_size, num_channels, height, width)</code>.`,name:"pixel_values"},{anchor:"optimum.onnxruntime.ORTModelForVision2Seq.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, decoder_sequence_length)</code>.`,name:"decoder_input_ids"},{anchor:"optimum.onnxruntime.ORTModelForVision2Seq.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>torch.FloatTensor</code>) &#x2014;
The encoder <code>last_hidden_state</code> of shape <code>(batch_size, encoder_sequence_length, hidden_size)</code>.`,name:"encoder_outputs"},{anchor:"optimum.onnxruntime.ORTModelForVision2Seq.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*, defaults to </code>None<code>)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, decoder_sequence_length, embed_size_per_head)</code> and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L1072"}}),$o=new ue({props:{$$slots:{default:[Ff]},$$scope:{ctx:j}}}),vo=new C({props:{anchor:"optimum.onnxruntime.ORTModelForVision2Seq.forward.example",$$slots:{default:[Sf]},$$scope:{ctx:j}}}),ko=new C({props:{anchor:"optimum.onnxruntime.ORTModelForVision2Seq.forward.example-2",$$slots:{default:[Cf]},$$scope:{ctx:j}}}),{c(){s=a("meta"),_=h(),d=a("h1"),u=a("a"),f=a("span"),w(n.$$.fragment),r=h(),O=a("span"),c=p("Models"),v=h(),E=a("h2"),ct=a("a"),ds=a("span"),w(Mo.$$.fragment),Hi=h(),cs=a("span"),Qi=p("ORTModel"),Ia=h(),F=a("div"),w(Oo.$$.fragment),Gi=h(),us=a("p"),Ji=p("Base class for implementing models using ONNX Runtime."),Ki=h(),qo=a("p"),Yi=p(`The ORTModel implements generic methods for interacting with the Hugging Face Hub as well as exporting vanilla
transformers models to ONNX using `),hs=a("code"),Zi=p("optimum.exporters.onnx"),el=p(" toolchain."),tl=h(),gs=a("p"),ol=p("Class attributes:"),nl=h(),jo=a("ul"),fe=a("li"),sl=p("model_type ("),fs=a("code"),rl=p("str"),al=p(", "),_s=a("em"),il=p("optional"),ll=p(", defaults to "),$s=a("code"),pl=p('"onnx_model"'),ml=p(`) \u2014 The name of the model type to use when
registering the ORTModel classes.`),dl=h(),_e=a("li"),cl=p("auto_model_class ("),vs=a("code"),ul=p("Type"),hl=p(", "),ks=a("em"),gl=p("optional"),fl=p(", defaults to "),ws=a("code"),_l=p("AutoModel"),$l=p(`) \u2014 The \u201CAutoModel\u201D class to represented by the
current ORTModel class.`),vl=h(),Ts=a("p"),kl=p("Common attributes:"),wl=h(),re=a("ul"),Eo=a("li"),Tl=p("model ("),xs=a("code"),xl=p("ort.InferenceSession"),bl=p(") \u2014 The ONNX Runtime InferenceSession that is running the model."),yl=h(),Ro=a("li"),Ml=p("config ("),Fo=a("a"),Ol=p("PretrainedConfig"),ql=p(" \u2014 The configuration of the model."),jl=h(),ae=a("li"),El=p("use_io_binding ("),bs=a("code"),Rl=p("bool"),Fl=p(", "),ys=a("em"),Sl=p("optional"),Cl=p(", defaults to "),Ms=a("code"),Nl=p("True"),zl=p(") \u2014 Whether to use I/O bindings with "),Os=a("strong"),Pl=p(`ONNX Runtime
with the CUDAExecutionProvider`),Al=p(", this can significantly speedup inference depending on the task."),Il=h(),So=a("li"),Ll=p("model_save_dir ("),qs=a("code"),Dl=p("Path"),Ul=p(`) \u2014 The directory where the model exported to ONNX is saved.
By defaults, if the loaded model is local, the directory where the original model will be used. Otherwise, the
cache directory is used.`),Vl=h(),js=a("li"),Xl=p("providers (`List[str]) \u2014 The list of execution providers available to ONNX Runtime."),Wl=h(),ut=a("div"),w(Co.$$.fragment),Bl=h(),Es=a("p"),Hl=p("Instantiate a pretrained model from a pre-trained model configuration."),Ql=h(),ht=a("div"),w(No.$$.fragment),Gl=h(),zo=a("p"),Jl=p("Loads an ONNX Inference session with a given provider. Default provider is "),Rs=a("code"),Kl=p("CPUExecutionProvider"),Yl=p(` to match the
default behaviour in PyTorch/TensorFlow/JAX.`),Zl=h(),gt=a("div"),w(Po.$$.fragment),ep=h(),Fs=a("p"),tp=p("Raises an error if IO Binding is requested although the tensor used are numpy arrays."),op=h(),ft=a("div"),w(Ao.$$.fragment),np=h(),Ss=a("p"),sp=p("Initializes attributes that may be shared among several ONNX Runtime inference sesssions."),rp=h(),_t=a("div"),w(Io.$$.fragment),ap=h(),Cs=a("p"),ip=p("Changes the ONNX Runtime provider according to the device."),La=h(),Le=a("h2"),$t=a("a"),Ns=a("span"),w(Lo.$$.fragment),lp=h(),zs=a("span"),pp=p("ORTModelForCausalLM"),Da=h(),ie=a("div"),w(Do.$$.fragment),mp=h(),Ps=a("p"),dp=p("ONNX model with a causal language modeling head for ONNX Runtime inference."),cp=h(),vt=a("div"),w(Uo.$$.fragment),up=h(),Vo=a("p"),hp=p("Returns True to validate the check that the model using "),As=a("code"),gp=p("GenerationMixin.generate()"),fp=p(" can indeed generate."),_p=h(),Q=a("div"),w(Xo.$$.fragment),$p=h(),De=a("p"),vp=p("The "),Is=a("code"),kp=p("ORTModelForCausalLM"),wp=p(" forward method, overrides the "),Ls=a("code"),Tp=p("__call__"),xp=p(" special method."),bp=h(),w(kt.$$.fragment),yp=h(),w(wt.$$.fragment),Mp=h(),w(Tt.$$.fragment),Ua=h(),Ue=a("h2"),xt=a("a"),Ds=a("span"),w(Wo.$$.fragment),Op=h(),Us=a("span"),qp=p("ORTModelForCustomTasks"),Va=h(),A=a("div"),w(Bo.$$.fragment),jp=h(),Vs=a("p"),Ep=p("ONNX Model for any custom tasks. It can be used to leverage the inference acceleration for any single-file ONNX model."),Rp=h(),Ho=a("p"),Fp=p("This model inherits from [~"),Xs=a("code"),Sp=p("onnxruntime.modeling_ort.ORTModel"),Cp=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Np=h(),Ws=a("p"),zp=p("Model for any custom tasks if the ONNX model is stored in a single file."),Pp=h(),G=a("div"),w(Qo.$$.fragment),Ap=h(),Ve=a("p"),Ip=p("The "),Bs=a("code"),Lp=p("ORTModelForCustomTasks"),Dp=p(" forward method, overrides the "),Hs=a("code"),Up=p("__call__"),Vp=p(" special method."),Xp=h(),w(bt.$$.fragment),Wp=h(),w(yt.$$.fragment),Bp=h(),w(Mt.$$.fragment),Xa=h(),Xe=a("h2"),Ot=a("a"),Qs=a("span"),w(Go.$$.fragment),Hp=h(),Gs=a("span"),Qp=p("ORTModelForFeatureExtraction"),Wa=h(),I=a("div"),w(Jo.$$.fragment),Gp=h(),Js=a("p"),Jp=p("Onnx Model with a BaseModelOutput for feature-extraction tasks."),Kp=h(),Ko=a("p"),Yp=p("This model inherits from [~"),Ks=a("code"),Zp=p("onnxruntime.modeling_ort.ORTModel"),em=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),tm=h(),Ys=a("p"),om=p("Feature Extraction model for ONNX."),nm=h(),J=a("div"),w(Yo.$$.fragment),sm=h(),We=a("p"),rm=p("The "),Zs=a("code"),am=p("ORTModelForFeatureExtraction"),im=p(" forward method, overrides the "),er=a("code"),lm=p("__call__"),pm=p(" special method."),mm=h(),w(qt.$$.fragment),dm=h(),w(jt.$$.fragment),cm=h(),w(Et.$$.fragment),Ba=h(),Be=a("h2"),Rt=a("a"),tr=a("span"),w(Zo.$$.fragment),um=h(),or=a("span"),hm=p("ORTModelForImageClassification"),Ha=h(),L=a("div"),w(en.$$.fragment),gm=h(),nr=a("p"),fm=p("Onnx Model for image-classification tasks."),_m=h(),tn=a("p"),$m=p("This model inherits from [~"),sr=a("code"),vm=p("onnxruntime.modeling_ort.ORTModel"),km=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),wm=h(),rr=a("p"),Tm=p("Image Classification model for ONNX."),xm=h(),K=a("div"),w(on.$$.fragment),bm=h(),He=a("p"),ym=p("The "),ar=a("code"),Mm=p("ORTModelForImageClassification"),Om=p(" forward method, overrides the "),ir=a("code"),qm=p("__call__"),jm=p(" special method."),Em=h(),w(Ft.$$.fragment),Rm=h(),w(St.$$.fragment),Fm=h(),w(Ct.$$.fragment),Qa=h(),Qe=a("h2"),Nt=a("a"),lr=a("span"),w(nn.$$.fragment),Sm=h(),pr=a("span"),Cm=p("ORTModelForMaskedLM"),Ga=h(),D=a("div"),w(sn.$$.fragment),Nm=h(),mr=a("p"),zm=p("Onnx Model with a MaskedLMOutput for masked language modeling tasks."),Pm=h(),rn=a("p"),Am=p("This model inherits from [~"),dr=a("code"),Im=p("onnxruntime.modeling_ort.ORTModel"),Lm=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Dm=h(),cr=a("p"),Um=p("Masked language model for ONNX."),Vm=h(),Y=a("div"),w(an.$$.fragment),Xm=h(),Ge=a("p"),Wm=p("The "),ur=a("code"),Bm=p("ORTModelForMaskedLM"),Hm=p(" forward method, overrides the "),hr=a("code"),Qm=p("__call__"),Gm=p(" special method."),Jm=h(),w(zt.$$.fragment),Km=h(),w(Pt.$$.fragment),Ym=h(),w(At.$$.fragment),Ja=h(),Je=a("h2"),It=a("a"),gr=a("span"),w(ln.$$.fragment),Zm=h(),fr=a("span"),ed=p("ORTModelForMultipleChoice"),Ka=h(),U=a("div"),w(pn.$$.fragment),td=h(),_r=a("p"),od=p(`Onnx Model with a multiple choice classification head on top (a linear layer on top of the pooled output and a
softmax) e.g. for RocStories/SWAG tasks.`),nd=h(),mn=a("p"),sd=p("This model inherits from [~"),$r=a("code"),rd=p("onnxruntime.modeling_ort.ORTModel"),ad=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),id=h(),vr=a("p"),ld=p("Multiple choice model for ONNX."),pd=h(),he=a("div"),w(dn.$$.fragment),md=h(),Ke=a("p"),dd=p("The "),kr=a("code"),cd=p("ORTModelForMultipleChoice"),ud=p(" forward method, overrides the "),wr=a("code"),hd=p("__call__"),gd=p(" special method."),fd=h(),w(Lt.$$.fragment),_d=h(),w(Dt.$$.fragment),Ya=h(),Ye=a("h2"),Ut=a("a"),Tr=a("span"),w(cn.$$.fragment),$d=h(),xr=a("span"),vd=p("ORTModelForQuestionAnswering"),Za=h(),V=a("div"),w(un.$$.fragment),kd=h(),br=a("p"),wd=p("Onnx Model with a QuestionAnsweringModelOutput for extractive question-answering tasks like SQuAD."),Td=h(),hn=a("p"),xd=p("This model inherits from [~"),yr=a("code"),bd=p("onnxruntime.modeling_ort.ORTModel"),yd=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Md=h(),Mr=a("p"),Od=p("Question Answering model for ONNX."),qd=h(),Z=a("div"),w(gn.$$.fragment),jd=h(),Ze=a("p"),Ed=p("The "),Or=a("code"),Rd=p("ORTModelForQuestionAnswering"),Fd=p(" forward method, overrides the "),qr=a("code"),Sd=p("__call__"),Cd=p(" special method."),Nd=h(),w(Vt.$$.fragment),zd=h(),w(Xt.$$.fragment),Pd=h(),w(Wt.$$.fragment),ei=h(),et=a("h2"),Bt=a("a"),jr=a("span"),w(fn.$$.fragment),Ad=h(),Er=a("span"),Id=p("ORTModelForSemanticSegmentation"),ti=h(),X=a("div"),w(_n.$$.fragment),Ld=h(),Rr=a("p"),Dd=p("Onnx Model with an all-MLP decode head on top e.g. for ADE20k, CityScapes."),Ud=h(),$n=a("p"),Vd=p("This model inherits from [~"),Fr=a("code"),Xd=p("onnxruntime.modeling_ort.ORTModel"),Wd=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Bd=h(),Sr=a("p"),Hd=p("Semantic Segmentation model for ONNX."),Qd=h(),ee=a("div"),w(vn.$$.fragment),Gd=h(),tt=a("p"),Jd=p("The "),Cr=a("code"),Kd=p("ORTModelForSemanticSegmentation"),Yd=p(" forward method, overrides the "),Nr=a("code"),Zd=p("__call__"),ec=p(" special method."),tc=h(),w(Ht.$$.fragment),oc=h(),w(Qt.$$.fragment),nc=h(),w(Gt.$$.fragment),oi=h(),ot=a("h2"),Jt=a("a"),zr=a("span"),w(kn.$$.fragment),sc=h(),Pr=a("span"),rc=p("ORTModelForSeq2SeqLM"),ni=h(),le=a("div"),w(wn.$$.fragment),ac=h(),Ar=a("p"),ic=p("Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),lc=h(),Kt=a("div"),w(Tn.$$.fragment),pc=h(),xn=a("p"),mc=p("Returns True to validate the check that the model using "),Ir=a("code"),dc=p("GenerationMixin.generate()"),cc=p(" can indeed generate."),uc=h(),te=a("div"),w(bn.$$.fragment),hc=h(),nt=a("p"),gc=p("The "),Lr=a("code"),fc=p("ORTModelForSeq2SeqLM"),_c=p(" forward method, overrides the "),Dr=a("code"),$c=p("__call__"),vc=p(" special method."),kc=h(),w(Yt.$$.fragment),wc=h(),w(Zt.$$.fragment),Tc=h(),w(eo.$$.fragment),si=h(),st=a("h2"),to=a("a"),Ur=a("span"),w(yn.$$.fragment),xc=h(),Vr=a("span"),bc=p("ORTModelForSequenceClassification"),ri=h(),W=a("div"),w(Mn.$$.fragment),yc=h(),Xr=a("p"),Mc=p(`Onnx Model with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),Oc=h(),On=a("p"),qc=p("This model inherits from [~"),Wr=a("code"),jc=p("onnxruntime.modeling_ort.ORTModel"),Ec=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Rc=h(),Br=a("p"),Fc=p("Sequence Classification model for ONNX."),Sc=h(),P=a("div"),w(qn.$$.fragment),Cc=h(),rt=a("p"),Nc=p("The "),Hr=a("code"),zc=p("ORTModelForSequenceClassification"),Pc=p(" forward method, overrides the "),Qr=a("code"),Ac=p("__call__"),Ic=p(" special method."),Lc=h(),w(oo.$$.fragment),Dc=h(),w(no.$$.fragment),Uc=h(),w(so.$$.fragment),Vc=h(),w(ro.$$.fragment),ai=h(),at=a("h2"),ao=a("a"),Gr=a("span"),w(jn.$$.fragment),Xc=h(),Jr=a("span"),Wc=p("ORTModelForSpeechSeq2Seq"),ii=h(),pe=a("div"),w(En.$$.fragment),Bc=h(),Kr=a("p"),Hc=p("Speech Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),Qc=h(),io=a("div"),w(Rn.$$.fragment),Gc=h(),Fn=a("p"),Jc=p("Returns True to validate the check that the model using "),Yr=a("code"),Kc=p("GenerationMixin.generate()"),Yc=p(" can indeed generate."),Zc=h(),oe=a("div"),w(Sn.$$.fragment),eu=h(),it=a("p"),tu=p("The "),Zr=a("code"),ou=p("ORTModelForSpeechSeq2Seq"),nu=p(" forward method, overrides the "),ea=a("code"),su=p("__call__"),ru=p(" special method."),au=h(),w(lo.$$.fragment),iu=h(),w(po.$$.fragment),lu=h(),w(mo.$$.fragment),li=h(),lt=a("h2"),co=a("a"),ta=a("span"),w(Cn.$$.fragment),pu=h(),oa=a("span"),mu=p("ORTModelForTokenClassification"),pi=h(),B=a("div"),w(Nn.$$.fragment),du=h(),na=a("p"),cu=p(`Onnx Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),uu=h(),zn=a("p"),hu=p("This model inherits from [~"),sa=a("code"),gu=p("onnxruntime.modeling_ort.ORTModel"),fu=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),_u=h(),ra=a("p"),$u=p("Token Classification model for ONNX."),vu=h(),ne=a("div"),w(Pn.$$.fragment),ku=h(),pt=a("p"),wu=p("The "),aa=a("code"),Tu=p("ORTModelForTokenClassification"),xu=p(" forward method, overrides the "),ia=a("code"),bu=p("__call__"),yu=p(" special method."),Mu=h(),w(uo.$$.fragment),Ou=h(),w(ho.$$.fragment),qu=h(),w(go.$$.fragment),mi=h(),mt=a("h2"),fo=a("a"),la=a("span"),w(An.$$.fragment),ju=h(),pa=a("span"),Eu=p("ORTModelForVision2Seq"),di=h(),me=a("div"),w(In.$$.fragment),Ru=h(),ma=a("p"),Fu=p("VisionEncoderDecoder Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),Su=h(),_o=a("div"),w(Ln.$$.fragment),Cu=h(),Dn=a("p"),Nu=p("Returns True to validate the check that the model using "),da=a("code"),zu=p("GenerationMixin.generate()"),Pu=p(" can indeed generate."),Au=h(),se=a("div"),w(Un.$$.fragment),Iu=h(),dt=a("p"),Lu=p("The "),ca=a("code"),Du=p("ORTModelForVision2Seq"),Uu=p(" forward method, overrides the "),ua=a("code"),Vu=p("__call__"),Xu=p(" special method."),Wu=h(),w($o.$$.fragment),Bu=h(),w(vo.$$.fragment),Hu=h(),w(ko.$$.fragment),this.h()},l(o){const $=Hg('[data-svelte="svelte-1phssyn"]',document.head);s=i($,"META",{name:!0,content:!0}),$.forEach(t),_=g(o),d=i(o,"H1",{class:!0});var Vn=l(d);u=i(Vn,"A",{id:!0,class:!0,href:!0});var ha=l(u);f=i(ha,"SPAN",{});var ga=l(f);T(n.$$.fragment,ga),ga.forEach(t),ha.forEach(t),r=g(Vn),O=i(Vn,"SPAN",{});var fa=l(O);c=m(fa,"Models"),fa.forEach(t),Vn.forEach(t),v=g(o),E=i(o,"H2",{class:!0});var Xn=l(E);ct=i(Xn,"A",{id:!0,class:!0,href:!0});var _a=l(ct);ds=i(_a,"SPAN",{});var $a=l(ds);T(Mo.$$.fragment,$a),$a.forEach(t),_a.forEach(t),Hi=g(Xn),cs=i(Xn,"SPAN",{});var va=l(cs);Qi=m(va,"ORTModel"),va.forEach(t),Xn.forEach(t),Ia=g(o),F=i(o,"DIV",{class:!0});var S=l(F);T(Oo.$$.fragment,S),Gi=g(S),us=i(S,"P",{});var ka=l(us);Ji=m(ka,"Base class for implementing models using ONNX Runtime."),ka.forEach(t),Ki=g(S),qo=i(S,"P",{});var Wn=l(qo);Yi=m(Wn,`The ORTModel implements generic methods for interacting with the Hugging Face Hub as well as exporting vanilla
transformers models to ONNX using `),hs=i(Wn,"CODE",{});var wa=l(hs);Zi=m(wa,"optimum.exporters.onnx"),wa.forEach(t),el=m(Wn," toolchain."),Wn.forEach(t),tl=g(S),gs=i(S,"P",{});var Ta=l(gs);ol=m(Ta,"Class attributes:"),Ta.forEach(t),nl=g(S),jo=i(S,"UL",{});var Bn=l(jo);fe=i(Bn,"LI",{});var $e=l(fe);sl=m($e,"model_type ("),fs=i($e,"CODE",{});var xa=l(fs);rl=m(xa,"str"),xa.forEach(t),al=m($e,", "),_s=i($e,"EM",{});var ba=l(_s);il=m(ba,"optional"),ba.forEach(t),ll=m($e,", defaults to "),$s=i($e,"CODE",{});var ya=l($s);pl=m(ya,'"onnx_model"'),ya.forEach(t),ml=m($e,`) \u2014 The name of the model type to use when
registering the ORTModel classes.`),$e.forEach(t),dl=g(Bn),_e=i(Bn,"LI",{});var ve=l(_e);cl=m(ve,"auto_model_class ("),vs=i(ve,"CODE",{});var Ma=l(vs);ul=m(Ma,"Type"),Ma.forEach(t),hl=m(ve,", "),ks=i(ve,"EM",{});var Oa=l(ks);gl=m(Oa,"optional"),Oa.forEach(t),fl=m(ve,", defaults to "),ws=i(ve,"CODE",{});var qa=l(ws);_l=m(qa,"AutoModel"),qa.forEach(t),$l=m(ve,`) \u2014 The \u201CAutoModel\u201D class to represented by the
current ORTModel class.`),ve.forEach(t),Bn.forEach(t),vl=g(S),Ts=i(S,"P",{});var ja=l(Ts);kl=m(ja,"Common attributes:"),ja.forEach(t),wl=g(S),re=i(S,"UL",{});var de=l(re);Eo=i(de,"LI",{});var Hn=l(Eo);Tl=m(Hn,"model ("),xs=i(Hn,"CODE",{});var Ea=l(xs);xl=m(Ea,"ort.InferenceSession"),Ea.forEach(t),bl=m(Hn,") \u2014 The ONNX Runtime InferenceSession that is running the model."),Hn.forEach(t),yl=g(de),Ro=i(de,"LI",{});var Qn=l(Ro);Ml=m(Qn,"config ("),Fo=i(Qn,"A",{href:!0,rel:!0});var Ra=l(Fo);Ol=m(Ra,"PretrainedConfig"),Ra.forEach(t),ql=m(Qn," \u2014 The configuration of the model."),Qn.forEach(t),jl=g(de),ae=i(de,"LI",{});var ce=l(ae);El=m(ce,"use_io_binding ("),bs=i(ce,"CODE",{});var Fa=l(bs);Rl=m(Fa,"bool"),Fa.forEach(t),Fl=m(ce,", "),ys=i(ce,"EM",{});var Sa=l(ys);Sl=m(Sa,"optional"),Sa.forEach(t),Cl=m(ce,", defaults to "),Ms=i(ce,"CODE",{});var Ca=l(Ms);Nl=m(Ca,"True"),Ca.forEach(t),zl=m(ce,") \u2014 Whether to use I/O bindings with "),Os=i(ce,"STRONG",{});var Na=l(Os);Pl=m(Na,`ONNX Runtime
with the CUDAExecutionProvider`),Na.forEach(t),Al=m(ce,", this can significantly speedup inference depending on the task."),ce.forEach(t),Il=g(de),So=i(de,"LI",{});var Gn=l(So);Ll=m(Gn,"model_save_dir ("),qs=i(Gn,"CODE",{});var za=l(qs);Dl=m(za,"Path"),za.forEach(t),Ul=m(Gn,`) \u2014 The directory where the model exported to ONNX is saved.
By defaults, if the loaded model is local, the directory where the original model will be used. Otherwise, the
cache directory is used.`),Gn.forEach(t),Vl=g(de),js=i(de,"LI",{});var Pa=l(js);Xl=m(Pa,"providers (`List[str]) \u2014 The list of execution providers available to ONNX Runtime."),Pa.forEach(t),de.forEach(t),Wl=g(S),ut=i(S,"DIV",{class:!0});var Jn=l(ut);T(Co.$$.fragment,Jn),Bl=g(Jn),Es=i(Jn,"P",{});var Aa=l(Es);Hl=m(Aa,"Instantiate a pretrained model from a pre-trained model configuration."),Aa.forEach(t),Jn.forEach(t),Ql=g(S),ht=i(S,"DIV",{class:!0});var Kn=l(ht);T(No.$$.fragment,Kn),Gl=g(Kn),zo=i(Kn,"P",{});var ui=l(zo);Jl=m(ui,"Loads an ONNX Inference session with a given provider. Default provider is "),Rs=i(ui,"CODE",{});var Qu=l(Rs);Kl=m(Qu,"CPUExecutionProvider"),Qu.forEach(t),Yl=m(ui,` to match the
default behaviour in PyTorch/TensorFlow/JAX.`),ui.forEach(t),Kn.forEach(t),Zl=g(S),gt=i(S,"DIV",{class:!0});var hi=l(gt);T(Po.$$.fragment,hi),ep=g(hi),Fs=i(hi,"P",{});var Gu=l(Fs);tp=m(Gu,"Raises an error if IO Binding is requested although the tensor used are numpy arrays."),Gu.forEach(t),hi.forEach(t),op=g(S),ft=i(S,"DIV",{class:!0});var gi=l(ft);T(Ao.$$.fragment,gi),np=g(gi),Ss=i(gi,"P",{});var Ju=l(Ss);sp=m(Ju,"Initializes attributes that may be shared among several ONNX Runtime inference sesssions."),Ju.forEach(t),gi.forEach(t),rp=g(S),_t=i(S,"DIV",{class:!0});var fi=l(_t);T(Io.$$.fragment,fi),ap=g(fi),Cs=i(fi,"P",{});var Ku=l(Cs);ip=m(Ku,"Changes the ONNX Runtime provider according to the device."),Ku.forEach(t),fi.forEach(t),S.forEach(t),La=g(o),Le=i(o,"H2",{class:!0});var _i=l(Le);$t=i(_i,"A",{id:!0,class:!0,href:!0});var Yu=l($t);Ns=i(Yu,"SPAN",{});var Zu=l(Ns);T(Lo.$$.fragment,Zu),Zu.forEach(t),Yu.forEach(t),lp=g(_i),zs=i(_i,"SPAN",{});var eh=l(zs);pp=m(eh,"ORTModelForCausalLM"),eh.forEach(t),_i.forEach(t),Da=g(o),ie=i(o,"DIV",{class:!0});var wo=l(ie);T(Do.$$.fragment,wo),mp=g(wo),Ps=i(wo,"P",{});var th=l(Ps);dp=m(th,"ONNX model with a causal language modeling head for ONNX Runtime inference."),th.forEach(t),cp=g(wo),vt=i(wo,"DIV",{class:!0});var $i=l(vt);T(Uo.$$.fragment,$i),up=g($i),Vo=i($i,"P",{});var vi=l(Vo);hp=m(vi,"Returns True to validate the check that the model using "),As=i(vi,"CODE",{});var oh=l(As);gp=m(oh,"GenerationMixin.generate()"),oh.forEach(t),fp=m(vi," can indeed generate."),vi.forEach(t),$i.forEach(t),_p=g(wo),Q=i(wo,"DIV",{class:!0});var ke=l(Q);T(Xo.$$.fragment,ke),$p=g(ke),De=i(ke,"P",{});var Yn=l(De);vp=m(Yn,"The "),Is=i(Yn,"CODE",{});var nh=l(Is);kp=m(nh,"ORTModelForCausalLM"),nh.forEach(t),wp=m(Yn," forward method, overrides the "),Ls=i(Yn,"CODE",{});var sh=l(Ls);Tp=m(sh,"__call__"),sh.forEach(t),xp=m(Yn," special method."),Yn.forEach(t),bp=g(ke),T(kt.$$.fragment,ke),yp=g(ke),T(wt.$$.fragment,ke),Mp=g(ke),T(Tt.$$.fragment,ke),ke.forEach(t),wo.forEach(t),Ua=g(o),Ue=i(o,"H2",{class:!0});var ki=l(Ue);xt=i(ki,"A",{id:!0,class:!0,href:!0});var rh=l(xt);Ds=i(rh,"SPAN",{});var ah=l(Ds);T(Wo.$$.fragment,ah),ah.forEach(t),rh.forEach(t),Op=g(ki),Us=i(ki,"SPAN",{});var ih=l(Us);qp=m(ih,"ORTModelForCustomTasks"),ih.forEach(t),ki.forEach(t),Va=g(o),A=i(o,"DIV",{class:!0});var we=l(A);T(Bo.$$.fragment,we),jp=g(we),Vs=i(we,"P",{});var lh=l(Vs);Ep=m(lh,"ONNX Model for any custom tasks. It can be used to leverage the inference acceleration for any single-file ONNX model."),lh.forEach(t),Rp=g(we),Ho=i(we,"P",{});var wi=l(Ho);Fp=m(wi,"This model inherits from [~"),Xs=i(wi,"CODE",{});var ph=l(Xs);Sp=m(ph,"onnxruntime.modeling_ort.ORTModel"),ph.forEach(t),Cp=m(wi,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),wi.forEach(t),Np=g(we),Ws=i(we,"P",{});var mh=l(Ws);zp=m(mh,"Model for any custom tasks if the ONNX model is stored in a single file."),mh.forEach(t),Pp=g(we),G=i(we,"DIV",{class:!0});var Te=l(G);T(Qo.$$.fragment,Te),Ap=g(Te),Ve=i(Te,"P",{});var Zn=l(Ve);Ip=m(Zn,"The "),Bs=i(Zn,"CODE",{});var dh=l(Bs);Lp=m(dh,"ORTModelForCustomTasks"),dh.forEach(t),Dp=m(Zn," forward method, overrides the "),Hs=i(Zn,"CODE",{});var ch=l(Hs);Up=m(ch,"__call__"),ch.forEach(t),Vp=m(Zn," special method."),Zn.forEach(t),Xp=g(Te),T(bt.$$.fragment,Te),Wp=g(Te),T(yt.$$.fragment,Te),Bp=g(Te),T(Mt.$$.fragment,Te),Te.forEach(t),we.forEach(t),Xa=g(o),Xe=i(o,"H2",{class:!0});var Ti=l(Xe);Ot=i(Ti,"A",{id:!0,class:!0,href:!0});var uh=l(Ot);Qs=i(uh,"SPAN",{});var hh=l(Qs);T(Go.$$.fragment,hh),hh.forEach(t),uh.forEach(t),Hp=g(Ti),Gs=i(Ti,"SPAN",{});var gh=l(Gs);Qp=m(gh,"ORTModelForFeatureExtraction"),gh.forEach(t),Ti.forEach(t),Wa=g(o),I=i(o,"DIV",{class:!0});var xe=l(I);T(Jo.$$.fragment,xe),Gp=g(xe),Js=i(xe,"P",{});var fh=l(Js);Jp=m(fh,"Onnx Model with a BaseModelOutput for feature-extraction tasks."),fh.forEach(t),Kp=g(xe),Ko=i(xe,"P",{});var xi=l(Ko);Yp=m(xi,"This model inherits from [~"),Ks=i(xi,"CODE",{});var _h=l(Ks);Zp=m(_h,"onnxruntime.modeling_ort.ORTModel"),_h.forEach(t),em=m(xi,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),xi.forEach(t),tm=g(xe),Ys=i(xe,"P",{});var $h=l(Ys);om=m($h,"Feature Extraction model for ONNX."),$h.forEach(t),nm=g(xe),J=i(xe,"DIV",{class:!0});var be=l(J);T(Yo.$$.fragment,be),sm=g(be),We=i(be,"P",{});var es=l(We);rm=m(es,"The "),Zs=i(es,"CODE",{});var vh=l(Zs);am=m(vh,"ORTModelForFeatureExtraction"),vh.forEach(t),im=m(es," forward method, overrides the "),er=i(es,"CODE",{});var kh=l(er);lm=m(kh,"__call__"),kh.forEach(t),pm=m(es," special method."),es.forEach(t),mm=g(be),T(qt.$$.fragment,be),dm=g(be),T(jt.$$.fragment,be),cm=g(be),T(Et.$$.fragment,be),be.forEach(t),xe.forEach(t),Ba=g(o),Be=i(o,"H2",{class:!0});var bi=l(Be);Rt=i(bi,"A",{id:!0,class:!0,href:!0});var wh=l(Rt);tr=i(wh,"SPAN",{});var Th=l(tr);T(Zo.$$.fragment,Th),Th.forEach(t),wh.forEach(t),um=g(bi),or=i(bi,"SPAN",{});var xh=l(or);hm=m(xh,"ORTModelForImageClassification"),xh.forEach(t),bi.forEach(t),Ha=g(o),L=i(o,"DIV",{class:!0});var ye=l(L);T(en.$$.fragment,ye),gm=g(ye),nr=i(ye,"P",{});var bh=l(nr);fm=m(bh,"Onnx Model for image-classification tasks."),bh.forEach(t),_m=g(ye),tn=i(ye,"P",{});var yi=l(tn);$m=m(yi,"This model inherits from [~"),sr=i(yi,"CODE",{});var yh=l(sr);vm=m(yh,"onnxruntime.modeling_ort.ORTModel"),yh.forEach(t),km=m(yi,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),yi.forEach(t),wm=g(ye),rr=i(ye,"P",{});var Mh=l(rr);Tm=m(Mh,"Image Classification model for ONNX."),Mh.forEach(t),xm=g(ye),K=i(ye,"DIV",{class:!0});var Me=l(K);T(on.$$.fragment,Me),bm=g(Me),He=i(Me,"P",{});var ts=l(He);ym=m(ts,"The "),ar=i(ts,"CODE",{});var Oh=l(ar);Mm=m(Oh,"ORTModelForImageClassification"),Oh.forEach(t),Om=m(ts," forward method, overrides the "),ir=i(ts,"CODE",{});var qh=l(ir);qm=m(qh,"__call__"),qh.forEach(t),jm=m(ts," special method."),ts.forEach(t),Em=g(Me),T(Ft.$$.fragment,Me),Rm=g(Me),T(St.$$.fragment,Me),Fm=g(Me),T(Ct.$$.fragment,Me),Me.forEach(t),ye.forEach(t),Qa=g(o),Qe=i(o,"H2",{class:!0});var Mi=l(Qe);Nt=i(Mi,"A",{id:!0,class:!0,href:!0});var jh=l(Nt);lr=i(jh,"SPAN",{});var Eh=l(lr);T(nn.$$.fragment,Eh),Eh.forEach(t),jh.forEach(t),Sm=g(Mi),pr=i(Mi,"SPAN",{});var Rh=l(pr);Cm=m(Rh,"ORTModelForMaskedLM"),Rh.forEach(t),Mi.forEach(t),Ga=g(o),D=i(o,"DIV",{class:!0});var Oe=l(D);T(sn.$$.fragment,Oe),Nm=g(Oe),mr=i(Oe,"P",{});var Fh=l(mr);zm=m(Fh,"Onnx Model with a MaskedLMOutput for masked language modeling tasks."),Fh.forEach(t),Pm=g(Oe),rn=i(Oe,"P",{});var Oi=l(rn);Am=m(Oi,"This model inherits from [~"),dr=i(Oi,"CODE",{});var Sh=l(dr);Im=m(Sh,"onnxruntime.modeling_ort.ORTModel"),Sh.forEach(t),Lm=m(Oi,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Oi.forEach(t),Dm=g(Oe),cr=i(Oe,"P",{});var Ch=l(cr);Um=m(Ch,"Masked language model for ONNX."),Ch.forEach(t),Vm=g(Oe),Y=i(Oe,"DIV",{class:!0});var qe=l(Y);T(an.$$.fragment,qe),Xm=g(qe),Ge=i(qe,"P",{});var os=l(Ge);Wm=m(os,"The "),ur=i(os,"CODE",{});var Nh=l(ur);Bm=m(Nh,"ORTModelForMaskedLM"),Nh.forEach(t),Hm=m(os," forward method, overrides the "),hr=i(os,"CODE",{});var zh=l(hr);Qm=m(zh,"__call__"),zh.forEach(t),Gm=m(os," special method."),os.forEach(t),Jm=g(qe),T(zt.$$.fragment,qe),Km=g(qe),T(Pt.$$.fragment,qe),Ym=g(qe),T(At.$$.fragment,qe),qe.forEach(t),Oe.forEach(t),Ja=g(o),Je=i(o,"H2",{class:!0});var qi=l(Je);It=i(qi,"A",{id:!0,class:!0,href:!0});var Ph=l(It);gr=i(Ph,"SPAN",{});var Ah=l(gr);T(ln.$$.fragment,Ah),Ah.forEach(t),Ph.forEach(t),Zm=g(qi),fr=i(qi,"SPAN",{});var Ih=l(fr);ed=m(Ih,"ORTModelForMultipleChoice"),Ih.forEach(t),qi.forEach(t),Ka=g(o),U=i(o,"DIV",{class:!0});var je=l(U);T(pn.$$.fragment,je),td=g(je),_r=i(je,"P",{});var Lh=l(_r);od=m(Lh,`Onnx Model with a multiple choice classification head on top (a linear layer on top of the pooled output and a
softmax) e.g. for RocStories/SWAG tasks.`),Lh.forEach(t),nd=g(je),mn=i(je,"P",{});var ji=l(mn);sd=m(ji,"This model inherits from [~"),$r=i(ji,"CODE",{});var Dh=l($r);rd=m(Dh,"onnxruntime.modeling_ort.ORTModel"),Dh.forEach(t),ad=m(ji,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),ji.forEach(t),id=g(je),vr=i(je,"P",{});var Uh=l(vr);ld=m(Uh,"Multiple choice model for ONNX."),Uh.forEach(t),pd=g(je),he=i(je,"DIV",{class:!0});var To=l(he);T(dn.$$.fragment,To),md=g(To),Ke=i(To,"P",{});var ns=l(Ke);dd=m(ns,"The "),kr=i(ns,"CODE",{});var Vh=l(kr);cd=m(Vh,"ORTModelForMultipleChoice"),Vh.forEach(t),ud=m(ns," forward method, overrides the "),wr=i(ns,"CODE",{});var Xh=l(wr);hd=m(Xh,"__call__"),Xh.forEach(t),gd=m(ns," special method."),ns.forEach(t),fd=g(To),T(Lt.$$.fragment,To),_d=g(To),T(Dt.$$.fragment,To),To.forEach(t),je.forEach(t),Ya=g(o),Ye=i(o,"H2",{class:!0});var Ei=l(Ye);Ut=i(Ei,"A",{id:!0,class:!0,href:!0});var Wh=l(Ut);Tr=i(Wh,"SPAN",{});var Bh=l(Tr);T(cn.$$.fragment,Bh),Bh.forEach(t),Wh.forEach(t),$d=g(Ei),xr=i(Ei,"SPAN",{});var Hh=l(xr);vd=m(Hh,"ORTModelForQuestionAnswering"),Hh.forEach(t),Ei.forEach(t),Za=g(o),V=i(o,"DIV",{class:!0});var Ee=l(V);T(un.$$.fragment,Ee),kd=g(Ee),br=i(Ee,"P",{});var Qh=l(br);wd=m(Qh,"Onnx Model with a QuestionAnsweringModelOutput for extractive question-answering tasks like SQuAD."),Qh.forEach(t),Td=g(Ee),hn=i(Ee,"P",{});var Ri=l(hn);xd=m(Ri,"This model inherits from [~"),yr=i(Ri,"CODE",{});var Gh=l(yr);bd=m(Gh,"onnxruntime.modeling_ort.ORTModel"),Gh.forEach(t),yd=m(Ri,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Ri.forEach(t),Md=g(Ee),Mr=i(Ee,"P",{});var Jh=l(Mr);Od=m(Jh,"Question Answering model for ONNX."),Jh.forEach(t),qd=g(Ee),Z=i(Ee,"DIV",{class:!0});var Re=l(Z);T(gn.$$.fragment,Re),jd=g(Re),Ze=i(Re,"P",{});var ss=l(Ze);Ed=m(ss,"The "),Or=i(ss,"CODE",{});var Kh=l(Or);Rd=m(Kh,"ORTModelForQuestionAnswering"),Kh.forEach(t),Fd=m(ss," forward method, overrides the "),qr=i(ss,"CODE",{});var Yh=l(qr);Sd=m(Yh,"__call__"),Yh.forEach(t),Cd=m(ss," special method."),ss.forEach(t),Nd=g(Re),T(Vt.$$.fragment,Re),zd=g(Re),T(Xt.$$.fragment,Re),Pd=g(Re),T(Wt.$$.fragment,Re),Re.forEach(t),Ee.forEach(t),ei=g(o),et=i(o,"H2",{class:!0});var Fi=l(et);Bt=i(Fi,"A",{id:!0,class:!0,href:!0});var Zh=l(Bt);jr=i(Zh,"SPAN",{});var eg=l(jr);T(fn.$$.fragment,eg),eg.forEach(t),Zh.forEach(t),Ad=g(Fi),Er=i(Fi,"SPAN",{});var tg=l(Er);Id=m(tg,"ORTModelForSemanticSegmentation"),tg.forEach(t),Fi.forEach(t),ti=g(o),X=i(o,"DIV",{class:!0});var Fe=l(X);T(_n.$$.fragment,Fe),Ld=g(Fe),Rr=i(Fe,"P",{});var og=l(Rr);Dd=m(og,"Onnx Model with an all-MLP decode head on top e.g. for ADE20k, CityScapes."),og.forEach(t),Ud=g(Fe),$n=i(Fe,"P",{});var Si=l($n);Vd=m(Si,"This model inherits from [~"),Fr=i(Si,"CODE",{});var ng=l(Fr);Xd=m(ng,"onnxruntime.modeling_ort.ORTModel"),ng.forEach(t),Wd=m(Si,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Si.forEach(t),Bd=g(Fe),Sr=i(Fe,"P",{});var sg=l(Sr);Hd=m(sg,"Semantic Segmentation model for ONNX."),sg.forEach(t),Qd=g(Fe),ee=i(Fe,"DIV",{class:!0});var Se=l(ee);T(vn.$$.fragment,Se),Gd=g(Se),tt=i(Se,"P",{});var rs=l(tt);Jd=m(rs,"The "),Cr=i(rs,"CODE",{});var rg=l(Cr);Kd=m(rg,"ORTModelForSemanticSegmentation"),rg.forEach(t),Yd=m(rs," forward method, overrides the "),Nr=i(rs,"CODE",{});var ag=l(Nr);Zd=m(ag,"__call__"),ag.forEach(t),ec=m(rs," special method."),rs.forEach(t),tc=g(Se),T(Ht.$$.fragment,Se),oc=g(Se),T(Qt.$$.fragment,Se),nc=g(Se),T(Gt.$$.fragment,Se),Se.forEach(t),Fe.forEach(t),oi=g(o),ot=i(o,"H2",{class:!0});var Ci=l(ot);Jt=i(Ci,"A",{id:!0,class:!0,href:!0});var ig=l(Jt);zr=i(ig,"SPAN",{});var lg=l(zr);T(kn.$$.fragment,lg),lg.forEach(t),ig.forEach(t),sc=g(Ci),Pr=i(Ci,"SPAN",{});var pg=l(Pr);rc=m(pg,"ORTModelForSeq2SeqLM"),pg.forEach(t),Ci.forEach(t),ni=g(o),le=i(o,"DIV",{class:!0});var xo=l(le);T(wn.$$.fragment,xo),ac=g(xo),Ar=i(xo,"P",{});var mg=l(Ar);ic=m(mg,"Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),mg.forEach(t),lc=g(xo),Kt=i(xo,"DIV",{class:!0});var Ni=l(Kt);T(Tn.$$.fragment,Ni),pc=g(Ni),xn=i(Ni,"P",{});var zi=l(xn);mc=m(zi,"Returns True to validate the check that the model using "),Ir=i(zi,"CODE",{});var dg=l(Ir);dc=m(dg,"GenerationMixin.generate()"),dg.forEach(t),cc=m(zi," can indeed generate."),zi.forEach(t),Ni.forEach(t),uc=g(xo),te=i(xo,"DIV",{class:!0});var Ce=l(te);T(bn.$$.fragment,Ce),hc=g(Ce),nt=i(Ce,"P",{});var as=l(nt);gc=m(as,"The "),Lr=i(as,"CODE",{});var cg=l(Lr);fc=m(cg,"ORTModelForSeq2SeqLM"),cg.forEach(t),_c=m(as," forward method, overrides the "),Dr=i(as,"CODE",{});var ug=l(Dr);$c=m(ug,"__call__"),ug.forEach(t),vc=m(as," special method."),as.forEach(t),kc=g(Ce),T(Yt.$$.fragment,Ce),wc=g(Ce),T(Zt.$$.fragment,Ce),Tc=g(Ce),T(eo.$$.fragment,Ce),Ce.forEach(t),xo.forEach(t),si=g(o),st=i(o,"H2",{class:!0});var Pi=l(st);to=i(Pi,"A",{id:!0,class:!0,href:!0});var hg=l(to);Ur=i(hg,"SPAN",{});var gg=l(Ur);T(yn.$$.fragment,gg),gg.forEach(t),hg.forEach(t),xc=g(Pi),Vr=i(Pi,"SPAN",{});var fg=l(Vr);bc=m(fg,"ORTModelForSequenceClassification"),fg.forEach(t),Pi.forEach(t),ri=g(o),W=i(o,"DIV",{class:!0});var Ne=l(W);T(Mn.$$.fragment,Ne),yc=g(Ne),Xr=i(Ne,"P",{});var _g=l(Xr);Mc=m(_g,`Onnx Model with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),_g.forEach(t),Oc=g(Ne),On=i(Ne,"P",{});var Ai=l(On);qc=m(Ai,"This model inherits from [~"),Wr=i(Ai,"CODE",{});var $g=l(Wr);jc=m($g,"onnxruntime.modeling_ort.ORTModel"),$g.forEach(t),Ec=m(Ai,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Ai.forEach(t),Rc=g(Ne),Br=i(Ne,"P",{});var vg=l(Br);Fc=m(vg,"Sequence Classification model for ONNX."),vg.forEach(t),Sc=g(Ne),P=i(Ne,"DIV",{class:!0});var ge=l(P);T(qn.$$.fragment,ge),Cc=g(ge),rt=i(ge,"P",{});var is=l(rt);Nc=m(is,"The "),Hr=i(is,"CODE",{});var kg=l(Hr);zc=m(kg,"ORTModelForSequenceClassification"),kg.forEach(t),Pc=m(is," forward method, overrides the "),Qr=i(is,"CODE",{});var wg=l(Qr);Ac=m(wg,"__call__"),wg.forEach(t),Ic=m(is," special method."),is.forEach(t),Lc=g(ge),T(oo.$$.fragment,ge),Dc=g(ge),T(no.$$.fragment,ge),Uc=g(ge),T(so.$$.fragment,ge),Vc=g(ge),T(ro.$$.fragment,ge),ge.forEach(t),Ne.forEach(t),ai=g(o),at=i(o,"H2",{class:!0});var Ii=l(at);ao=i(Ii,"A",{id:!0,class:!0,href:!0});var Tg=l(ao);Gr=i(Tg,"SPAN",{});var xg=l(Gr);T(jn.$$.fragment,xg),xg.forEach(t),Tg.forEach(t),Xc=g(Ii),Jr=i(Ii,"SPAN",{});var bg=l(Jr);Wc=m(bg,"ORTModelForSpeechSeq2Seq"),bg.forEach(t),Ii.forEach(t),ii=g(o),pe=i(o,"DIV",{class:!0});var bo=l(pe);T(En.$$.fragment,bo),Bc=g(bo),Kr=i(bo,"P",{});var yg=l(Kr);Hc=m(yg,"Speech Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),yg.forEach(t),Qc=g(bo),io=i(bo,"DIV",{class:!0});var Li=l(io);T(Rn.$$.fragment,Li),Gc=g(Li),Fn=i(Li,"P",{});var Di=l(Fn);Jc=m(Di,"Returns True to validate the check that the model using "),Yr=i(Di,"CODE",{});var Mg=l(Yr);Kc=m(Mg,"GenerationMixin.generate()"),Mg.forEach(t),Yc=m(Di," can indeed generate."),Di.forEach(t),Li.forEach(t),Zc=g(bo),oe=i(bo,"DIV",{class:!0});var ze=l(oe);T(Sn.$$.fragment,ze),eu=g(ze),it=i(ze,"P",{});var ls=l(it);tu=m(ls,"The "),Zr=i(ls,"CODE",{});var Og=l(Zr);ou=m(Og,"ORTModelForSpeechSeq2Seq"),Og.forEach(t),nu=m(ls," forward method, overrides the "),ea=i(ls,"CODE",{});var qg=l(ea);su=m(qg,"__call__"),qg.forEach(t),ru=m(ls," special method."),ls.forEach(t),au=g(ze),T(lo.$$.fragment,ze),iu=g(ze),T(po.$$.fragment,ze),lu=g(ze),T(mo.$$.fragment,ze),ze.forEach(t),bo.forEach(t),li=g(o),lt=i(o,"H2",{class:!0});var Ui=l(lt);co=i(Ui,"A",{id:!0,class:!0,href:!0});var jg=l(co);ta=i(jg,"SPAN",{});var Eg=l(ta);T(Cn.$$.fragment,Eg),Eg.forEach(t),jg.forEach(t),pu=g(Ui),oa=i(Ui,"SPAN",{});var Rg=l(oa);mu=m(Rg,"ORTModelForTokenClassification"),Rg.forEach(t),Ui.forEach(t),pi=g(o),B=i(o,"DIV",{class:!0});var Pe=l(B);T(Nn.$$.fragment,Pe),du=g(Pe),na=i(Pe,"P",{});var Fg=l(na);cu=m(Fg,`Onnx Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),Fg.forEach(t),uu=g(Pe),zn=i(Pe,"P",{});var Vi=l(zn);hu=m(Vi,"This model inherits from [~"),sa=i(Vi,"CODE",{});var Sg=l(sa);gu=m(Sg,"onnxruntime.modeling_ort.ORTModel"),Sg.forEach(t),fu=m(Vi,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Vi.forEach(t),_u=g(Pe),ra=i(Pe,"P",{});var Cg=l(ra);$u=m(Cg,"Token Classification model for ONNX."),Cg.forEach(t),vu=g(Pe),ne=i(Pe,"DIV",{class:!0});var Ae=l(ne);T(Pn.$$.fragment,Ae),ku=g(Ae),pt=i(Ae,"P",{});var ps=l(pt);wu=m(ps,"The "),aa=i(ps,"CODE",{});var Ng=l(aa);Tu=m(Ng,"ORTModelForTokenClassification"),Ng.forEach(t),xu=m(ps," forward method, overrides the "),ia=i(ps,"CODE",{});var zg=l(ia);bu=m(zg,"__call__"),zg.forEach(t),yu=m(ps," special method."),ps.forEach(t),Mu=g(Ae),T(uo.$$.fragment,Ae),Ou=g(Ae),T(ho.$$.fragment,Ae),qu=g(Ae),T(go.$$.fragment,Ae),Ae.forEach(t),Pe.forEach(t),mi=g(o),mt=i(o,"H2",{class:!0});var Xi=l(mt);fo=i(Xi,"A",{id:!0,class:!0,href:!0});var Pg=l(fo);la=i(Pg,"SPAN",{});var Ag=l(la);T(An.$$.fragment,Ag),Ag.forEach(t),Pg.forEach(t),ju=g(Xi),pa=i(Xi,"SPAN",{});var Ig=l(pa);Eu=m(Ig,"ORTModelForVision2Seq"),Ig.forEach(t),Xi.forEach(t),di=g(o),me=i(o,"DIV",{class:!0});var yo=l(me);T(In.$$.fragment,yo),Ru=g(yo),ma=i(yo,"P",{});var Lg=l(ma);Fu=m(Lg,"VisionEncoderDecoder Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),Lg.forEach(t),Su=g(yo),_o=i(yo,"DIV",{class:!0});var Wi=l(_o);T(Ln.$$.fragment,Wi),Cu=g(Wi),Dn=i(Wi,"P",{});var Bi=l(Dn);Nu=m(Bi,"Returns True to validate the check that the model using "),da=i(Bi,"CODE",{});var Dg=l(da);zu=m(Dg,"GenerationMixin.generate()"),Dg.forEach(t),Pu=m(Bi," can indeed generate."),Bi.forEach(t),Wi.forEach(t),Au=g(yo),se=i(yo,"DIV",{class:!0});var Ie=l(se);T(Un.$$.fragment,Ie),Iu=g(Ie),dt=i(Ie,"P",{});var ms=l(dt);Lu=m(ms,"The "),ca=i(ms,"CODE",{});var Ug=l(ca);Du=m(Ug,"ORTModelForVision2Seq"),Ug.forEach(t),Uu=m(ms," forward method, overrides the "),ua=i(ms,"CODE",{});var Vg=l(ua);Vu=m(Vg,"__call__"),Vg.forEach(t),Xu=m(ms," special method."),ms.forEach(t),Wu=g(Ie),T($o.$$.fragment,Ie),Bu=g(Ie),T(vo.$$.fragment,Ie),Hu=g(Ie),T(ko.$$.fragment,Ie),Ie.forEach(t),yo.forEach(t),this.h()},h(){q(s,"name","hf:doc:metadata"),q(s,"content",JSON.stringify(zf)),q(u,"id","models"),q(u,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(u,"href","#models"),q(d,"class","relative group"),q(ct,"id","optimum.onnxruntime.ORTModel"),q(ct,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(ct,"href","#optimum.onnxruntime.ORTModel"),q(E,"class","relative group"),q(Fo,"href","https://huggingface.co/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),q(Fo,"rel","nofollow"),q(ut,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(ht,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(gt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(ft,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(_t,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q($t,"id","optimum.onnxruntime.ORTModelForCausalLM"),q($t,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q($t,"href","#optimum.onnxruntime.ORTModelForCausalLM"),q(Le,"class","relative group"),q(vt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(ie,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(xt,"id","optimum.onnxruntime.ORTModelForCustomTasks"),q(xt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(xt,"href","#optimum.onnxruntime.ORTModelForCustomTasks"),q(Ue,"class","relative group"),q(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Ot,"id","optimum.onnxruntime.ORTModelForFeatureExtraction"),q(Ot,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Ot,"href","#optimum.onnxruntime.ORTModelForFeatureExtraction"),q(Xe,"class","relative group"),q(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Rt,"id","optimum.onnxruntime.ORTModelForImageClassification"),q(Rt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Rt,"href","#optimum.onnxruntime.ORTModelForImageClassification"),q(Be,"class","relative group"),q(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Nt,"id","optimum.onnxruntime.ORTModelForMaskedLM"),q(Nt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Nt,"href","#optimum.onnxruntime.ORTModelForMaskedLM"),q(Qe,"class","relative group"),q(Y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(It,"id","optimum.onnxruntime.ORTModelForMultipleChoice"),q(It,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(It,"href","#optimum.onnxruntime.ORTModelForMultipleChoice"),q(Je,"class","relative group"),q(he,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Ut,"id","optimum.onnxruntime.ORTModelForQuestionAnswering"),q(Ut,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Ut,"href","#optimum.onnxruntime.ORTModelForQuestionAnswering"),q(Ye,"class","relative group"),q(Z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Bt,"id","optimum.onnxruntime.ORTModelForSemanticSegmentation"),q(Bt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Bt,"href","#optimum.onnxruntime.ORTModelForSemanticSegmentation"),q(et,"class","relative group"),q(ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Jt,"id","optimum.onnxruntime.ORTModelForSeq2SeqLM"),q(Jt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Jt,"href","#optimum.onnxruntime.ORTModelForSeq2SeqLM"),q(ot,"class","relative group"),q(Kt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(to,"id","optimum.onnxruntime.ORTModelForSequenceClassification"),q(to,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(to,"href","#optimum.onnxruntime.ORTModelForSequenceClassification"),q(st,"class","relative group"),q(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(ao,"id","optimum.onnxruntime.ORTModelForSpeechSeq2Seq"),q(ao,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(ao,"href","#optimum.onnxruntime.ORTModelForSpeechSeq2Seq"),q(at,"class","relative group"),q(io,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(oe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(co,"id","optimum.onnxruntime.ORTModelForTokenClassification"),q(co,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(co,"href","#optimum.onnxruntime.ORTModelForTokenClassification"),q(lt,"class","relative group"),q(ne,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(fo,"id","optimum.onnxruntime.ORTModelForVision2Seq"),q(fo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(fo,"href","#optimum.onnxruntime.ORTModelForVision2Seq"),q(mt,"class","relative group"),q(_o,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(se,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(me,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(o,$){e(document.head,s),k(o,_,$),k(o,d,$),e(d,u),e(u,f),x(n,f,null),e(d,r),e(d,O),e(O,c),k(o,v,$),k(o,E,$),e(E,ct),e(ct,ds),x(Mo,ds,null),e(E,Hi),e(E,cs),e(cs,Qi),k(o,Ia,$),k(o,F,$),x(Oo,F,null),e(F,Gi),e(F,us),e(us,Ji),e(F,Ki),e(F,qo),e(qo,Yi),e(qo,hs),e(hs,Zi),e(qo,el),e(F,tl),e(F,gs),e(gs,ol),e(F,nl),e(F,jo),e(jo,fe),e(fe,sl),e(fe,fs),e(fs,rl),e(fe,al),e(fe,_s),e(_s,il),e(fe,ll),e(fe,$s),e($s,pl),e(fe,ml),e(jo,dl),e(jo,_e),e(_e,cl),e(_e,vs),e(vs,ul),e(_e,hl),e(_e,ks),e(ks,gl),e(_e,fl),e(_e,ws),e(ws,_l),e(_e,$l),e(F,vl),e(F,Ts),e(Ts,kl),e(F,wl),e(F,re),e(re,Eo),e(Eo,Tl),e(Eo,xs),e(xs,xl),e(Eo,bl),e(re,yl),e(re,Ro),e(Ro,Ml),e(Ro,Fo),e(Fo,Ol),e(Ro,ql),e(re,jl),e(re,ae),e(ae,El),e(ae,bs),e(bs,Rl),e(ae,Fl),e(ae,ys),e(ys,Sl),e(ae,Cl),e(ae,Ms),e(Ms,Nl),e(ae,zl),e(ae,Os),e(Os,Pl),e(ae,Al),e(re,Il),e(re,So),e(So,Ll),e(So,qs),e(qs,Dl),e(So,Ul),e(re,Vl),e(re,js),e(js,Xl),e(F,Wl),e(F,ut),x(Co,ut,null),e(ut,Bl),e(ut,Es),e(Es,Hl),e(F,Ql),e(F,ht),x(No,ht,null),e(ht,Gl),e(ht,zo),e(zo,Jl),e(zo,Rs),e(Rs,Kl),e(zo,Yl),e(F,Zl),e(F,gt),x(Po,gt,null),e(gt,ep),e(gt,Fs),e(Fs,tp),e(F,op),e(F,ft),x(Ao,ft,null),e(ft,np),e(ft,Ss),e(Ss,sp),e(F,rp),e(F,_t),x(Io,_t,null),e(_t,ap),e(_t,Cs),e(Cs,ip),k(o,La,$),k(o,Le,$),e(Le,$t),e($t,Ns),x(Lo,Ns,null),e(Le,lp),e(Le,zs),e(zs,pp),k(o,Da,$),k(o,ie,$),x(Do,ie,null),e(ie,mp),e(ie,Ps),e(Ps,dp),e(ie,cp),e(ie,vt),x(Uo,vt,null),e(vt,up),e(vt,Vo),e(Vo,hp),e(Vo,As),e(As,gp),e(Vo,fp),e(ie,_p),e(ie,Q),x(Xo,Q,null),e(Q,$p),e(Q,De),e(De,vp),e(De,Is),e(Is,kp),e(De,wp),e(De,Ls),e(Ls,Tp),e(De,xp),e(Q,bp),x(kt,Q,null),e(Q,yp),x(wt,Q,null),e(Q,Mp),x(Tt,Q,null),k(o,Ua,$),k(o,Ue,$),e(Ue,xt),e(xt,Ds),x(Wo,Ds,null),e(Ue,Op),e(Ue,Us),e(Us,qp),k(o,Va,$),k(o,A,$),x(Bo,A,null),e(A,jp),e(A,Vs),e(Vs,Ep),e(A,Rp),e(A,Ho),e(Ho,Fp),e(Ho,Xs),e(Xs,Sp),e(Ho,Cp),e(A,Np),e(A,Ws),e(Ws,zp),e(A,Pp),e(A,G),x(Qo,G,null),e(G,Ap),e(G,Ve),e(Ve,Ip),e(Ve,Bs),e(Bs,Lp),e(Ve,Dp),e(Ve,Hs),e(Hs,Up),e(Ve,Vp),e(G,Xp),x(bt,G,null),e(G,Wp),x(yt,G,null),e(G,Bp),x(Mt,G,null),k(o,Xa,$),k(o,Xe,$),e(Xe,Ot),e(Ot,Qs),x(Go,Qs,null),e(Xe,Hp),e(Xe,Gs),e(Gs,Qp),k(o,Wa,$),k(o,I,$),x(Jo,I,null),e(I,Gp),e(I,Js),e(Js,Jp),e(I,Kp),e(I,Ko),e(Ko,Yp),e(Ko,Ks),e(Ks,Zp),e(Ko,em),e(I,tm),e(I,Ys),e(Ys,om),e(I,nm),e(I,J),x(Yo,J,null),e(J,sm),e(J,We),e(We,rm),e(We,Zs),e(Zs,am),e(We,im),e(We,er),e(er,lm),e(We,pm),e(J,mm),x(qt,J,null),e(J,dm),x(jt,J,null),e(J,cm),x(Et,J,null),k(o,Ba,$),k(o,Be,$),e(Be,Rt),e(Rt,tr),x(Zo,tr,null),e(Be,um),e(Be,or),e(or,hm),k(o,Ha,$),k(o,L,$),x(en,L,null),e(L,gm),e(L,nr),e(nr,fm),e(L,_m),e(L,tn),e(tn,$m),e(tn,sr),e(sr,vm),e(tn,km),e(L,wm),e(L,rr),e(rr,Tm),e(L,xm),e(L,K),x(on,K,null),e(K,bm),e(K,He),e(He,ym),e(He,ar),e(ar,Mm),e(He,Om),e(He,ir),e(ir,qm),e(He,jm),e(K,Em),x(Ft,K,null),e(K,Rm),x(St,K,null),e(K,Fm),x(Ct,K,null),k(o,Qa,$),k(o,Qe,$),e(Qe,Nt),e(Nt,lr),x(nn,lr,null),e(Qe,Sm),e(Qe,pr),e(pr,Cm),k(o,Ga,$),k(o,D,$),x(sn,D,null),e(D,Nm),e(D,mr),e(mr,zm),e(D,Pm),e(D,rn),e(rn,Am),e(rn,dr),e(dr,Im),e(rn,Lm),e(D,Dm),e(D,cr),e(cr,Um),e(D,Vm),e(D,Y),x(an,Y,null),e(Y,Xm),e(Y,Ge),e(Ge,Wm),e(Ge,ur),e(ur,Bm),e(Ge,Hm),e(Ge,hr),e(hr,Qm),e(Ge,Gm),e(Y,Jm),x(zt,Y,null),e(Y,Km),x(Pt,Y,null),e(Y,Ym),x(At,Y,null),k(o,Ja,$),k(o,Je,$),e(Je,It),e(It,gr),x(ln,gr,null),e(Je,Zm),e(Je,fr),e(fr,ed),k(o,Ka,$),k(o,U,$),x(pn,U,null),e(U,td),e(U,_r),e(_r,od),e(U,nd),e(U,mn),e(mn,sd),e(mn,$r),e($r,rd),e(mn,ad),e(U,id),e(U,vr),e(vr,ld),e(U,pd),e(U,he),x(dn,he,null),e(he,md),e(he,Ke),e(Ke,dd),e(Ke,kr),e(kr,cd),e(Ke,ud),e(Ke,wr),e(wr,hd),e(Ke,gd),e(he,fd),x(Lt,he,null),e(he,_d),x(Dt,he,null),k(o,Ya,$),k(o,Ye,$),e(Ye,Ut),e(Ut,Tr),x(cn,Tr,null),e(Ye,$d),e(Ye,xr),e(xr,vd),k(o,Za,$),k(o,V,$),x(un,V,null),e(V,kd),e(V,br),e(br,wd),e(V,Td),e(V,hn),e(hn,xd),e(hn,yr),e(yr,bd),e(hn,yd),e(V,Md),e(V,Mr),e(Mr,Od),e(V,qd),e(V,Z),x(gn,Z,null),e(Z,jd),e(Z,Ze),e(Ze,Ed),e(Ze,Or),e(Or,Rd),e(Ze,Fd),e(Ze,qr),e(qr,Sd),e(Ze,Cd),e(Z,Nd),x(Vt,Z,null),e(Z,zd),x(Xt,Z,null),e(Z,Pd),x(Wt,Z,null),k(o,ei,$),k(o,et,$),e(et,Bt),e(Bt,jr),x(fn,jr,null),e(et,Ad),e(et,Er),e(Er,Id),k(o,ti,$),k(o,X,$),x(_n,X,null),e(X,Ld),e(X,Rr),e(Rr,Dd),e(X,Ud),e(X,$n),e($n,Vd),e($n,Fr),e(Fr,Xd),e($n,Wd),e(X,Bd),e(X,Sr),e(Sr,Hd),e(X,Qd),e(X,ee),x(vn,ee,null),e(ee,Gd),e(ee,tt),e(tt,Jd),e(tt,Cr),e(Cr,Kd),e(tt,Yd),e(tt,Nr),e(Nr,Zd),e(tt,ec),e(ee,tc),x(Ht,ee,null),e(ee,oc),x(Qt,ee,null),e(ee,nc),x(Gt,ee,null),k(o,oi,$),k(o,ot,$),e(ot,Jt),e(Jt,zr),x(kn,zr,null),e(ot,sc),e(ot,Pr),e(Pr,rc),k(o,ni,$),k(o,le,$),x(wn,le,null),e(le,ac),e(le,Ar),e(Ar,ic),e(le,lc),e(le,Kt),x(Tn,Kt,null),e(Kt,pc),e(Kt,xn),e(xn,mc),e(xn,Ir),e(Ir,dc),e(xn,cc),e(le,uc),e(le,te),x(bn,te,null),e(te,hc),e(te,nt),e(nt,gc),e(nt,Lr),e(Lr,fc),e(nt,_c),e(nt,Dr),e(Dr,$c),e(nt,vc),e(te,kc),x(Yt,te,null),e(te,wc),x(Zt,te,null),e(te,Tc),x(eo,te,null),k(o,si,$),k(o,st,$),e(st,to),e(to,Ur),x(yn,Ur,null),e(st,xc),e(st,Vr),e(Vr,bc),k(o,ri,$),k(o,W,$),x(Mn,W,null),e(W,yc),e(W,Xr),e(Xr,Mc),e(W,Oc),e(W,On),e(On,qc),e(On,Wr),e(Wr,jc),e(On,Ec),e(W,Rc),e(W,Br),e(Br,Fc),e(W,Sc),e(W,P),x(qn,P,null),e(P,Cc),e(P,rt),e(rt,Nc),e(rt,Hr),e(Hr,zc),e(rt,Pc),e(rt,Qr),e(Qr,Ac),e(rt,Ic),e(P,Lc),x(oo,P,null),e(P,Dc),x(no,P,null),e(P,Uc),x(so,P,null),e(P,Vc),x(ro,P,null),k(o,ai,$),k(o,at,$),e(at,ao),e(ao,Gr),x(jn,Gr,null),e(at,Xc),e(at,Jr),e(Jr,Wc),k(o,ii,$),k(o,pe,$),x(En,pe,null),e(pe,Bc),e(pe,Kr),e(Kr,Hc),e(pe,Qc),e(pe,io),x(Rn,io,null),e(io,Gc),e(io,Fn),e(Fn,Jc),e(Fn,Yr),e(Yr,Kc),e(Fn,Yc),e(pe,Zc),e(pe,oe),x(Sn,oe,null),e(oe,eu),e(oe,it),e(it,tu),e(it,Zr),e(Zr,ou),e(it,nu),e(it,ea),e(ea,su),e(it,ru),e(oe,au),x(lo,oe,null),e(oe,iu),x(po,oe,null),e(oe,lu),x(mo,oe,null),k(o,li,$),k(o,lt,$),e(lt,co),e(co,ta),x(Cn,ta,null),e(lt,pu),e(lt,oa),e(oa,mu),k(o,pi,$),k(o,B,$),x(Nn,B,null),e(B,du),e(B,na),e(na,cu),e(B,uu),e(B,zn),e(zn,hu),e(zn,sa),e(sa,gu),e(zn,fu),e(B,_u),e(B,ra),e(ra,$u),e(B,vu),e(B,ne),x(Pn,ne,null),e(ne,ku),e(ne,pt),e(pt,wu),e(pt,aa),e(aa,Tu),e(pt,xu),e(pt,ia),e(ia,bu),e(pt,yu),e(ne,Mu),x(uo,ne,null),e(ne,Ou),x(ho,ne,null),e(ne,qu),x(go,ne,null),k(o,mi,$),k(o,mt,$),e(mt,fo),e(fo,la),x(An,la,null),e(mt,ju),e(mt,pa),e(pa,Eu),k(o,di,$),k(o,me,$),x(In,me,null),e(me,Ru),e(me,ma),e(ma,Fu),e(me,Su),e(me,_o),x(Ln,_o,null),e(_o,Cu),e(_o,Dn),e(Dn,Nu),e(Dn,da),e(da,zu),e(Dn,Pu),e(me,Au),e(me,se),x(Un,se,null),e(se,Iu),e(se,dt),e(dt,Lu),e(dt,ca),e(ca,Du),e(dt,Uu),e(dt,ua),e(ua,Vu),e(dt,Xu),e(se,Wu),x($o,se,null),e(se,Bu),x(vo,se,null),e(se,Hu),x(ko,se,null),ci=!0},p(o,[$]){const Vn={};$&2&&(Vn.$$scope={dirty:$,ctx:o}),kt.$set(Vn);const ha={};$&2&&(ha.$$scope={dirty:$,ctx:o}),wt.$set(ha);const ga={};$&2&&(ga.$$scope={dirty:$,ctx:o}),Tt.$set(ga);const fa={};$&2&&(fa.$$scope={dirty:$,ctx:o}),bt.$set(fa);const Xn={};$&2&&(Xn.$$scope={dirty:$,ctx:o}),yt.$set(Xn);const _a={};$&2&&(_a.$$scope={dirty:$,ctx:o}),Mt.$set(_a);const $a={};$&2&&($a.$$scope={dirty:$,ctx:o}),qt.$set($a);const va={};$&2&&(va.$$scope={dirty:$,ctx:o}),jt.$set(va);const S={};$&2&&(S.$$scope={dirty:$,ctx:o}),Et.$set(S);const ka={};$&2&&(ka.$$scope={dirty:$,ctx:o}),Ft.$set(ka);const Wn={};$&2&&(Wn.$$scope={dirty:$,ctx:o}),St.$set(Wn);const wa={};$&2&&(wa.$$scope={dirty:$,ctx:o}),Ct.$set(wa);const Ta={};$&2&&(Ta.$$scope={dirty:$,ctx:o}),zt.$set(Ta);const Bn={};$&2&&(Bn.$$scope={dirty:$,ctx:o}),Pt.$set(Bn);const $e={};$&2&&($e.$$scope={dirty:$,ctx:o}),At.$set($e);const xa={};$&2&&(xa.$$scope={dirty:$,ctx:o}),Lt.$set(xa);const ba={};$&2&&(ba.$$scope={dirty:$,ctx:o}),Dt.$set(ba);const ya={};$&2&&(ya.$$scope={dirty:$,ctx:o}),Vt.$set(ya);const ve={};$&2&&(ve.$$scope={dirty:$,ctx:o}),Xt.$set(ve);const Ma={};$&2&&(Ma.$$scope={dirty:$,ctx:o}),Wt.$set(Ma);const Oa={};$&2&&(Oa.$$scope={dirty:$,ctx:o}),Ht.$set(Oa);const qa={};$&2&&(qa.$$scope={dirty:$,ctx:o}),Qt.$set(qa);const ja={};$&2&&(ja.$$scope={dirty:$,ctx:o}),Gt.$set(ja);const de={};$&2&&(de.$$scope={dirty:$,ctx:o}),Yt.$set(de);const Hn={};$&2&&(Hn.$$scope={dirty:$,ctx:o}),Zt.$set(Hn);const Ea={};$&2&&(Ea.$$scope={dirty:$,ctx:o}),eo.$set(Ea);const Qn={};$&2&&(Qn.$$scope={dirty:$,ctx:o}),oo.$set(Qn);const Ra={};$&2&&(Ra.$$scope={dirty:$,ctx:o}),no.$set(Ra);const ce={};$&2&&(ce.$$scope={dirty:$,ctx:o}),so.$set(ce);const Fa={};$&2&&(Fa.$$scope={dirty:$,ctx:o}),ro.$set(Fa);const Sa={};$&2&&(Sa.$$scope={dirty:$,ctx:o}),lo.$set(Sa);const Ca={};$&2&&(Ca.$$scope={dirty:$,ctx:o}),po.$set(Ca);const Na={};$&2&&(Na.$$scope={dirty:$,ctx:o}),mo.$set(Na);const Gn={};$&2&&(Gn.$$scope={dirty:$,ctx:o}),uo.$set(Gn);const za={};$&2&&(za.$$scope={dirty:$,ctx:o}),ho.$set(za);const Pa={};$&2&&(Pa.$$scope={dirty:$,ctx:o}),go.$set(Pa);const Jn={};$&2&&(Jn.$$scope={dirty:$,ctx:o}),$o.$set(Jn);const Aa={};$&2&&(Aa.$$scope={dirty:$,ctx:o}),vo.$set(Aa);const Kn={};$&2&&(Kn.$$scope={dirty:$,ctx:o}),ko.$set(Kn)},i(o){ci||(b(n.$$.fragment,o),b(Mo.$$.fragment,o),b(Oo.$$.fragment,o),b(Co.$$.fragment,o),b(No.$$.fragment,o),b(Po.$$.fragment,o),b(Ao.$$.fragment,o),b(Io.$$.fragment,o),b(Lo.$$.fragment,o),b(Do.$$.fragment,o),b(Uo.$$.fragment,o),b(Xo.$$.fragment,o),b(kt.$$.fragment,o),b(wt.$$.fragment,o),b(Tt.$$.fragment,o),b(Wo.$$.fragment,o),b(Bo.$$.fragment,o),b(Qo.$$.fragment,o),b(bt.$$.fragment,o),b(yt.$$.fragment,o),b(Mt.$$.fragment,o),b(Go.$$.fragment,o),b(Jo.$$.fragment,o),b(Yo.$$.fragment,o),b(qt.$$.fragment,o),b(jt.$$.fragment,o),b(Et.$$.fragment,o),b(Zo.$$.fragment,o),b(en.$$.fragment,o),b(on.$$.fragment,o),b(Ft.$$.fragment,o),b(St.$$.fragment,o),b(Ct.$$.fragment,o),b(nn.$$.fragment,o),b(sn.$$.fragment,o),b(an.$$.fragment,o),b(zt.$$.fragment,o),b(Pt.$$.fragment,o),b(At.$$.fragment,o),b(ln.$$.fragment,o),b(pn.$$.fragment,o),b(dn.$$.fragment,o),b(Lt.$$.fragment,o),b(Dt.$$.fragment,o),b(cn.$$.fragment,o),b(un.$$.fragment,o),b(gn.$$.fragment,o),b(Vt.$$.fragment,o),b(Xt.$$.fragment,o),b(Wt.$$.fragment,o),b(fn.$$.fragment,o),b(_n.$$.fragment,o),b(vn.$$.fragment,o),b(Ht.$$.fragment,o),b(Qt.$$.fragment,o),b(Gt.$$.fragment,o),b(kn.$$.fragment,o),b(wn.$$.fragment,o),b(Tn.$$.fragment,o),b(bn.$$.fragment,o),b(Yt.$$.fragment,o),b(Zt.$$.fragment,o),b(eo.$$.fragment,o),b(yn.$$.fragment,o),b(Mn.$$.fragment,o),b(qn.$$.fragment,o),b(oo.$$.fragment,o),b(no.$$.fragment,o),b(so.$$.fragment,o),b(ro.$$.fragment,o),b(jn.$$.fragment,o),b(En.$$.fragment,o),b(Rn.$$.fragment,o),b(Sn.$$.fragment,o),b(lo.$$.fragment,o),b(po.$$.fragment,o),b(mo.$$.fragment,o),b(Cn.$$.fragment,o),b(Nn.$$.fragment,o),b(Pn.$$.fragment,o),b(uo.$$.fragment,o),b(ho.$$.fragment,o),b(go.$$.fragment,o),b(An.$$.fragment,o),b(In.$$.fragment,o),b(Ln.$$.fragment,o),b(Un.$$.fragment,o),b($o.$$.fragment,o),b(vo.$$.fragment,o),b(ko.$$.fragment,o),ci=!0)},o(o){y(n.$$.fragment,o),y(Mo.$$.fragment,o),y(Oo.$$.fragment,o),y(Co.$$.fragment,o),y(No.$$.fragment,o),y(Po.$$.fragment,o),y(Ao.$$.fragment,o),y(Io.$$.fragment,o),y(Lo.$$.fragment,o),y(Do.$$.fragment,o),y(Uo.$$.fragment,o),y(Xo.$$.fragment,o),y(kt.$$.fragment,o),y(wt.$$.fragment,o),y(Tt.$$.fragment,o),y(Wo.$$.fragment,o),y(Bo.$$.fragment,o),y(Qo.$$.fragment,o),y(bt.$$.fragment,o),y(yt.$$.fragment,o),y(Mt.$$.fragment,o),y(Go.$$.fragment,o),y(Jo.$$.fragment,o),y(Yo.$$.fragment,o),y(qt.$$.fragment,o),y(jt.$$.fragment,o),y(Et.$$.fragment,o),y(Zo.$$.fragment,o),y(en.$$.fragment,o),y(on.$$.fragment,o),y(Ft.$$.fragment,o),y(St.$$.fragment,o),y(Ct.$$.fragment,o),y(nn.$$.fragment,o),y(sn.$$.fragment,o),y(an.$$.fragment,o),y(zt.$$.fragment,o),y(Pt.$$.fragment,o),y(At.$$.fragment,o),y(ln.$$.fragment,o),y(pn.$$.fragment,o),y(dn.$$.fragment,o),y(Lt.$$.fragment,o),y(Dt.$$.fragment,o),y(cn.$$.fragment,o),y(un.$$.fragment,o),y(gn.$$.fragment,o),y(Vt.$$.fragment,o),y(Xt.$$.fragment,o),y(Wt.$$.fragment,o),y(fn.$$.fragment,o),y(_n.$$.fragment,o),y(vn.$$.fragment,o),y(Ht.$$.fragment,o),y(Qt.$$.fragment,o),y(Gt.$$.fragment,o),y(kn.$$.fragment,o),y(wn.$$.fragment,o),y(Tn.$$.fragment,o),y(bn.$$.fragment,o),y(Yt.$$.fragment,o),y(Zt.$$.fragment,o),y(eo.$$.fragment,o),y(yn.$$.fragment,o),y(Mn.$$.fragment,o),y(qn.$$.fragment,o),y(oo.$$.fragment,o),y(no.$$.fragment,o),y(so.$$.fragment,o),y(ro.$$.fragment,o),y(jn.$$.fragment,o),y(En.$$.fragment,o),y(Rn.$$.fragment,o),y(Sn.$$.fragment,o),y(lo.$$.fragment,o),y(po.$$.fragment,o),y(mo.$$.fragment,o),y(Cn.$$.fragment,o),y(Nn.$$.fragment,o),y(Pn.$$.fragment,o),y(uo.$$.fragment,o),y(ho.$$.fragment,o),y(go.$$.fragment,o),y(An.$$.fragment,o),y(In.$$.fragment,o),y(Ln.$$.fragment,o),y(Un.$$.fragment,o),y($o.$$.fragment,o),y(vo.$$.fragment,o),y(ko.$$.fragment,o),ci=!1},d(o){t(s),o&&t(_),o&&t(d),M(n),o&&t(v),o&&t(E),M(Mo),o&&t(Ia),o&&t(F),M(Oo),M(Co),M(No),M(Po),M(Ao),M(Io),o&&t(La),o&&t(Le),M(Lo),o&&t(Da),o&&t(ie),M(Do),M(Uo),M(Xo),M(kt),M(wt),M(Tt),o&&t(Ua),o&&t(Ue),M(Wo),o&&t(Va),o&&t(A),M(Bo),M(Qo),M(bt),M(yt),M(Mt),o&&t(Xa),o&&t(Xe),M(Go),o&&t(Wa),o&&t(I),M(Jo),M(Yo),M(qt),M(jt),M(Et),o&&t(Ba),o&&t(Be),M(Zo),o&&t(Ha),o&&t(L),M(en),M(on),M(Ft),M(St),M(Ct),o&&t(Qa),o&&t(Qe),M(nn),o&&t(Ga),o&&t(D),M(sn),M(an),M(zt),M(Pt),M(At),o&&t(Ja),o&&t(Je),M(ln),o&&t(Ka),o&&t(U),M(pn),M(dn),M(Lt),M(Dt),o&&t(Ya),o&&t(Ye),M(cn),o&&t(Za),o&&t(V),M(un),M(gn),M(Vt),M(Xt),M(Wt),o&&t(ei),o&&t(et),M(fn),o&&t(ti),o&&t(X),M(_n),M(vn),M(Ht),M(Qt),M(Gt),o&&t(oi),o&&t(ot),M(kn),o&&t(ni),o&&t(le),M(wn),M(Tn),M(bn),M(Yt),M(Zt),M(eo),o&&t(si),o&&t(st),M(yn),o&&t(ri),o&&t(W),M(Mn),M(qn),M(oo),M(no),M(so),M(ro),o&&t(ai),o&&t(at),M(jn),o&&t(ii),o&&t(pe),M(En),M(Rn),M(Sn),M(lo),M(po),M(mo),o&&t(li),o&&t(lt),M(Cn),o&&t(pi),o&&t(B),M(Nn),M(Pn),M(uo),M(ho),M(go),o&&t(mi),o&&t(mt),M(An),o&&t(di),o&&t(me),M(In),M(Ln),M(Un),M($o),M(vo),M(ko)}}}const zf={local:"models",sections:[{local:"optimum.onnxruntime.ORTModel",title:"ORTModel"},{local:"optimum.onnxruntime.ORTModelForCausalLM",title:"ORTModelForCausalLM"},{local:"optimum.onnxruntime.ORTModelForCustomTasks",title:"ORTModelForCustomTasks"},{local:"optimum.onnxruntime.ORTModelForFeatureExtraction",title:"ORTModelForFeatureExtraction"},{local:"optimum.onnxruntime.ORTModelForImageClassification",title:"ORTModelForImageClassification"},{local:"optimum.onnxruntime.ORTModelForMaskedLM",title:"ORTModelForMaskedLM"},{local:"optimum.onnxruntime.ORTModelForMultipleChoice",title:"ORTModelForMultipleChoice"},{local:"optimum.onnxruntime.ORTModelForQuestionAnswering",title:"ORTModelForQuestionAnswering"},{local:"optimum.onnxruntime.ORTModelForSemanticSegmentation",title:"ORTModelForSemanticSegmentation"},{local:"optimum.onnxruntime.ORTModelForSeq2SeqLM",title:"ORTModelForSeq2SeqLM"},{local:"optimum.onnxruntime.ORTModelForSequenceClassification",title:"ORTModelForSequenceClassification"},{local:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq",title:"ORTModelForSpeechSeq2Seq"},{local:"optimum.onnxruntime.ORTModelForTokenClassification",title:"ORTModelForTokenClassification"},{local:"optimum.onnxruntime.ORTModelForVision2Seq",title:"ORTModelForVision2Seq"}],title:"Models"};function Pf(j){return Qg(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Xf extends Xg{constructor(s){super();Wg(this,s,Pf,Nf,Bg,{})}}export{Xf as default,zf as metadata};
